2008-11-18 Chris Kelly <ckdake@ckdake.com> 1.5.10

 * Release: 1.5.10

2008-11-18 Jens Tkotz <jens@peino.de> 1.5.10-svn-b11

 * FIX: Do load load init.php for colorpicker as this overwrites session
        infos about embedded environment.

   Thanks to bignellrp from forum.

 * Fix: Add rebuild_thumbs.php to list of allowed files to include.

 * Fix: Declare rearrange popup as a popup, so the enviroment (e.g. joomla)
        is not loaded. Same for reset clicks popup.

 * Change: Added popup footer at various places.

 * Change: Some little code nicifies.

2008-11-11 Jens Tkotz <jens@peino.de> 1.5.10-svn-b10

 * Fix: Delete Imageareas when rotating or resizing an image.

2008-11-01 Jens Tkotz <jens@peino.de> 1.5.10-svn-b9

 *** SECURITY FIX ***

 In environments with register globals it was possible to gain admin access
 via abusing cookies. 
 This bug affects all Gallery 1.x version from 1.5.8-svn-b34 on.

 The Gallery team would like to thank John Hisdock for gently reporting this
 and give us time to make an adequate fix.

2008-11-01 Jens Tkotz <jens@peino.de> 1.5.10-svn-b8

 * Change: Litte layout fixes

 * Change: "Missing" languages in setup are now just an information.

2008-10-31 Jens Tkotz <jens@peino.de> 1.5.10-svn-b7

 * Update: wz_tooltip.js V5.3

2008-10-31 Jens Tkotz <jens@peino.de> 1.5.10-svn-b6

 * Fix: Removed call off ctype_digit() as its not always available.

 * Fix: Move debug footer at a place where its visibile when embedded.

2008-10-17 Jens Tkotz <jens@peino.de> 1.5.10-svn-b5

 * Fix: With emailing on an error appeared after recreating thumbs.

 Thanks to MrC from forums.

 * Fix: Voting in thumbsview broken.

 Thanks to adegutis from forums.

2008-09-28 Jens Tkotz <jens@peino.de> 1.5.10-svn-b4

 * Fix: Convert newlines in RSS in the same way as in the albums view.

 Thanks to Rollcage from forum.

2008-09-25 Jens Tkotz <jens@peino.de> 1.5.10-svn-b3

 * Fix: Added param for brackets for slideshow link on mainpage.

   Thanks to Rollcage from forum.

 * Change: A few icons.

2008-09-23 Jens Tkotz <jens@peino.de> 1.5.10-svn-b2

 * Enancement: Added more cancel/done button in the user management.

 * Fix: use of gTranslate() instead of _() at some places.

 * Fix: Added 'g-button' classes for some button for consistency.

 * Change: translation domain for platform functions.

 Thanks to Niels Baggesen

2008-09-18 Jens Tkotz <jens@peino.de> 1.5.10-svn-b1

 * Fix: Attempt to delete a subalbum via album commandbox failed.
        "delete_item.php not found".

        Thanks to Drrrl from Forum.

2008-09-16 Chris Kelly <ckdake@ckdake.com> 1.5.9

 * Release: 1.5.9 

2008-09-16 Jens Tkotz <jens@peino.de> 1.5.9-svn-b30

 * Fix: Little last minute fix ;-)
        Comment indication was enabled anytime on mainpage.

 * Fix: Some wordings.

   Thanks Julien.
   
2008-09-16 Jens Tkotz <jens@peino.de> 1.5.9-svn-b29

 * Manifest updates etc.

2008-09-16 Jens Tkotz <jens@peino.de> 1.5.9-svn-b28

 * SECURITY FIX: Arbitrary file disclosure
   
   A user having permissions to add photos to Gallery can retrieve arbitrary
   file (accessible to webserver) from the file system.
   The problem is caused by incorrect treatment of zipped symlinks.

   The Gallery team wants to thank Alex Ustinov for gently reporting this.


 * Security Fix: Insecure cookies over HTTPS

   When running gallery on https, it does not set cookies to be secure,
   making it possible to sniff the session cookie.

   The Gallery team wants to thank Hanno Boeck for reporting this.

2008-09-14 Jens Tkotz <jens@peino.de> 1.5.9-svn-b27

 * Fix: Add photos from mainpage is new, but was not working ;-)
        Added missing javascript.

2008-09-14 Jens Tkotz <jens@peino.de> 1.5.9-svn-b26

 * Fix: Typo

 * Change: Code nicify.

2008-09-13 Jens Tkotz <jens@peino.de> 1.5.9-svn-b25

 * Fix: Better handling the case when an invalid, or borken image
        was uploaded.

 * CHANGE: Album::getPerm now returns true anytime for admins.
           This is better then adding a check to every single permission
           check like introduced in 1.5.9-svn-b4           

 * CHANGE: Reverted to former 1.5.8 behaviour for album deletion.
           Owners can always delete their own albums.

 * Change: For better convinience,
           tell the user how much files are invalid in an archive.
           In Gallery Remote this info is given in debug mode only.

 * Fix: In windows fs_is_link showed a PHP notice when the checked file is
        no link. Suppress this notice like done for *nix Systems.

 * Change: Code cleanup, indenting etc.

2008-09-09 Jens Tkotz <jens@peino.de> 1.5.9-svn-b24

 * Change: Removed tools/build_manifest.php

 * CHANGE: Reverted a change done in 1.5.9-svn-b4

   - Still allow that owner can ALWAY delete items from their albums.

 * New: Method Colors::getLighten()

 * Fix: Some wording, indenting

 * Removed: function contextHelp() ; Sorry Andrew.
 

2008-09-08 Jens Tkotz <jens@peino.de> 1.5.9-svn-b23

 * Fix: translation domain wrong in lib/stats.php

   Thanks to Niels Baggesen.


2008-09-04 Jens Tkotz <jens@peino.de> 1.5.9-svn-b22

 * Fix: &amp; in new Password link caused a invalid request message.


2008-09-04 Jens Tkotz <jens@peino.de> 1.5.9-svn-b21

 * Fix: Added missing function in lib/album.php


2008-09-03 Jens Tkotz <jens@peino.de> 1.5.9-svn-b20

 * FIX: Move and reorder for main albums were gone ?!?

 * Fix: Typo in stats.header

   Thanks to Piploff from forum for reporting these bugs.

 * Fix: Mail-links to owner in stats were bad HTML.

 * Change: Use gSubmit in find_orphans.php 

 * Change: Increased length for albumnames that get truncated in
           select boxes for reorder and move.

 * Fix: Get only albumcommand for rootalbums on mainpage.


2008-09-03 Jens Tkotz <jens@peino.de> 1.5.9-svn-b19

 * Fix: Moving a subalbum to toplevel broken.

   Thanks to piploff from forum.


2008-09-02 Jens Tkotz <jens@peino.de> 1.5.9-svn-b18

 * Fix: Imagemap
	- Position of Image were got wrong in IE with horizontal scrolling.
	- Init of canvas was done to early, broke display of maps in IE.

   Thanks to "Spack" from the forums for reporting this.

 * Change: Layout and buttons/actions for Imagemap page.

 * Change: Only add automatic ALT tag for images if its not set manual.
           Setting to '' IS a manual value now, which means empty ALT text.


2008-09-02 Jens Tkotz <jens@peino.de> 1.5.9-svn-b17

 * New: Added arrowkey navigation for microthumbs.

 * Fix: Don't show blue adminbox in photoview
	when user has chosen a background color for albums.


2008-08-31 Jens Tkotz <jens@peino.de> 1.5.9-svn-b16

 * Fix: Use textfield again in phpNuke for ImageMap description.
        Broke that in b12.
        

2008-08-30 Jens Tkotz <jens@peino.de> 1.5.9-svn-b15

 Change: 1.5.9 icon.

 Fix: Some wordings.
      Thanks to Julien.


2008-08-30 Jens Tkotz <jens@peino.de> 1.5.9-svn-b14

 * Change: Reenabled KOI8-R

 * Change: Removed some unneeded PHP version check in isSupportedCharset
           as the minimum PHP is 4.1.0

 * Fix: _() -> gTranslate in stats.header


2008-08-28 Jens Tkotz <jens@peino.de> 1.5.9-svn-b13

 * Fix: Link to comments overview on mainpage.

 * Fix: getCaptionDate when using exiftags.
        Use "Image Generated" first, then "Image Created".

 * Change: Some Layout fixes.


2008-08-28 Jens Tkotz <jens@peino.de> 1.5.9-svn-b12

 * FIX: unhtmlentities() changed 0 values to '',
        that broke sanitizeInput() and thus getRequestVar()

   I am very angry about my self,
   as this caused a lot trouble at various places.


2008-08-27 Jens Tkotz <jens@peino.de> 1.5.9-svn-b11

 * Fix: Gallery works now in turkish! HOOORAY !

   Thanks to katpatuka for fixing this LOONG outstanding bug.


2008-08-26 Jens Tkotz <jens@peino.de> 1.5.9-svn-b10

 * Fix: Check if comments are enabled at all for comments overview.


2008-08-26 Jens Tkotz <jens@peino.de> 1.5.9-svn-b9

 * Change: Show links for comments overview only of there are comments.

 * Fix: Increased check level for comments overview.


2008-08-26 Jens Tkotz <jens@peino.de> 1.5.9-svn-b8

 * Fix: Password strengthmeter in setup broke change or
        set of new admin password.

 * Fix: FitToWindow broken.

 * Fix: sanitizeInput returns just the unhtmlentities value instead of
        using gHtmlSafe which does a surrounding htmlentities.

 * Change: Update Walter Zorns
                wz_tooltip.js to 5.20
                tip_balloon.js to 1.6

 * Fix: Line endings in wz_jsgraphics.js


2008-08-23 Jens Tkotz <jens@peino.de> 1.5.9-svn-b7

 * New: classes/Colors.php, which is a PHP port of rgbcolor.js

 * Fix: Don't show blue adminbox in thumbsview
	when user has chosen a background color for albums.

 * Fix: Added new testrequirement 'comments_overview_for_all',
        1.5.8 implentation for that feature was broken.

        Thanks to jifl from forum.

 * Fix: Syntax of tail in po/create_po_template.sh

        Thans to Julien Elie


2008-08-23 Jens Tkotz <jens@peino.de> 1.5.9-svn-b6

 * New: lib/progressbar.php


2008-08-23 Jens Tkotz <jens@peino.de> 1.5.9-svn-b5

 * Removed: layout/adminAlbumCommands.inc

 * Change: Use getAlbumCommands() in albums.php

 * Change: Little wording.

 * Fix: Security enhancement in register.php

 * Fix: Remove redundant CSS in base.css.default


2008-08-23 Jens Tkotz <jens@peino.de> 1.5.9-svn-b4

 * CHANGE: Added always allowment for admins to
        canAddComments
        canAddTo
        canChangeText
        canWrite
        canDelete
        canViewComments
        canViewFullImages
        canAddComments


 * CHANGE: Remove album owner to be always to allowed to
        canDeleteFrom

 * Change: REMOVED that everybody can see an album if no permissions are set.


 * Change: Remove wrong check for nobody in Album::isItemOwner

 * Change: Changed order of some methodes in Album.php
           Added lots of phpDoc

 * Fix: Add loggedIn user for check Album::isOwner
 
 * Fix: getVotingIdByIndex for subalbums
 

2008-08-23 Jens Tkotz <jens@peino.de> 1.5.9-svn-b3
 
 * Change: Remove special stats.footer use general.footer

 * Fix: Make form action in stats-wizard again stats.php


2008-08-18 Jens Tkotz <jens@peino.de> 1.5.9-svn-b2

 * Fix: Stats-Wizard did not work (EVER!) in IE6.

 Thanks to Andrew Vasilyev


2008-08-18 Jens Tkotz <jens@peino.de> 1.5.9-svn-b1

 * Fix: Unified appearance of all admin pages.

 * Fix: Statistics and its wizard not working correct when embedded.

 * Fix: Removing invalid albums did not work.

2008-08-15 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b13

 * ImageMap fixes

   - No new ImageMaps at all :-(
   - Choosing brush color broken.
   - Several ways to hangup JS.
   - PHP notice due to missing var.

 * Fix: Zip Icon in thumbs view missing.

 * New (because of fixes abov)
   Param $updatePreview and $label for colorpicker.

 * Fix: PHP notice when viewing a hidden photo.

2008-08-15 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b12

 * Fix: Copying a photo from a subalbum into the same album did not work.

 * Fix: Wrong error message when try to move an item into its current place.

2008-08-15 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b11

 * Fix: Deleting comments within "comments view" did not work.

 * Fix: Added check for invalid call for Album::getComment($commentIndex)

 * Fix: Colorpicker did not work when Gallery was embedded.

 * Fix: Do not show duplicate icons in photoview.

 * Change: Gallery ran in Zikula, but now it KNOWS that it runs in Zikula.

2008-08-13 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b10

 * Fix: Code, HTML, wording cleanup.

2008-08-13 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b9

 * Fix: Current settings of locale_alias were not selected
        and thus could overwritten by a different value.

   Thanks to Andrew Vasilyev.

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b8

 * FIX: Album::deletePhoto did not return true on success.
        This for example prevented to delete images found in 
        "validate albums."

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b7

 * Fix: Avoid a single entry selectbox in album view like in 1.5.7.

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b6

 * Fix: testRequirement() was not complete.
        Thus some album action did not appear in the select box.

 * Fix: Voting for images broken.

 * Change: Nicer look of voting results.

 * Change: Modified Album::getVotingIdByIndex()

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b5

 * Fix: Icon for slideshow link on mainpage wrong.

 * Fix: Icon for selfregister forgotton.

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b4

 * Fix: Creating new passwords for "lost password" and "selfregister" failed.

2008-08-12 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b3

 * Change: Little code nicify. CSS fixes etc.

2008-08-11 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b2

 * Fix: Strenghtmeter not working.

 * Fix: Added strengthmeter for admin password in setup.

2008-08-11 Jens Tkotz <jens@peino.de> 1.5.8-pl1-svn-b1

 * Fix: Ecard broken. Popup was empty, preview broken.

 * New: Added special popup footer.

2008-08-05 Chris Kelly <ckdake@ckdake.com> 1.5.8

 * Release: 1.5.8

 Lots of changes, so you might want to look at:
 http://codex.gallery2.org/Gallery1:API_Changes_From_1.5.7_To_1.5.8

2008-08-11 Jens Tkotz <jens@peino.de>

 Recently, we retained Gotham Digital Science (GDS) to perform security audits on Gallery 1.6
 They found a lof security isses which we fixed in Gallery 1.6 and then merged to 1.5.8.
 As 1.6 has so many changes it was not possible to really port all changes.
 Result is a heavy codebase change in Gallery 1.5.8

 GDS found bugs in 21 catecories as they are:

 --- PRIO 1 ----
  1 - Insecure Command Execution
  2 - Cross Site Scripting (XSS)
  3 - Unauthorized Access to File System
  4 - Role-Based Authorization Not Adequately Enforced

 --- PRIO 2 ----
  5 - Application Insecurely Discloses Potentially Sensitive Data
  6 - Inadequate Password Complexity Enforcement
  7 - New Password Functionality Susceptible to Brute Force Attacks

 --- PRIO 3 ----
  8 - Inadequate Application Error Handling and Suppression
  9 - Username Enumeration
  10 - Log Forging

   --- PRIO 4 ----
  11 - Denial of Service Condition Possible
  12 - Un-mapped File Extensions Allow Source Code Disclosure
  13 - Lack of Web Root Clean-up and Insecure File Organization
  14 - Logout Option not Available on all Application Pages
  15 - Pages Do Not Refresh After Idle Session Timeout
  16 - Sensitive POST Data Exposed to Browser Caching
  17 - Password Reset Does not Include at least One Challenge Question
  18 - Application Account Lockout not Enforced
  19 - Sensitive Data Passed in Query String
  20 - Scope of HTTP Request Variables Not Enforced
  21 - User Controllable Messages


 A Local File Include Vulnerability was found by a different company.

   We say thank you to:
   The security researchers from Digital Security company
   http://dsec.ru

  If you need more detailed information on the bugs and how they were fixed, please write a mail to
  security@menalto.com

  28th June 2008, Jens Tkotz

2008-08-11 Jens Tkotz <jens@peino.de>

Summary of Changes from b22 till 1.5.8 final:

* New:
        Stronger passwords enforcement and better checks.
        Users are blockes after a certain amount of failed logins
        Added new frame
        Gallery 1.5.8 icon
        Arrowkey navigation (very nice !)

 * CHANGE:
        HTML Attributs for picture tags are now given as array, not as string.
        Update of Walter Zorns Javascripts

 * Fix:
        Setting Item capture recursive was still broken.
        Watermarking was broken in 1.5.5-svn-b16 (!!)
        Empty Imagemaps crashes browser
        RSS was little broken

 * New methods:
        Album::isImage
        Album::isImageByIndex
        Album::makeThumbnails
        Album::canViewItem
        Album::getAltText
        AlbumDB::isInitialized
        AlbumItem::createCaption
        AlbumItem::isImage
        UserDB::isInitialized

 * Removed methods:
        Album::makeThumbnailRecursive

* Enhanced, fixed methods:
        Album::getParentAlbums
        Album::resizeAllPhotos
        Album::addPhoto
        Album::deletePhoto
        Album::rebuildCaptureDates
        Album::isAlbum
        Album::getAlbumName
        Album::isOwner
        Album::setOwner
        AlbumItem::watermark
        AlbumItem::getPhotoId
        User::printableName
        User::canChangeOwnPw

 * Security fixed methods:
        Album::load

 * New functions:
        album-validAlbumName
        content-LoginLogoutButton
        content-jsHTML
        content-addProgressbar
        content-updateProgressBar
        content-addProgressBarText

        content-unhtmlentities
        content-old_unhtmlentities
        content-sanitizeInput
        content-gHtmlSafe

        form-gReset
        messages-gallery_success
        messages-gallery_info
        messages-gallery_warning
        messages-infoBox (!)
        messages-showInvalidReqMesg
        popup-printPopupStart
        setup-configError
        valchecks-isValidUrl
        valchecks-isValidGalleryUrl
        valchecks-isSafeHttpHeader
        valchecks-getMaliciousChars
        valchecks-xssCleanup
        valchecks-isXSSclean (!!)
        valchecks-validAlbumName
        valchecks-passwordStrength (!)
        valchecks-cleanRepetition
        valchecks-isValidTimestamp
        valchecks-watermarkPicExists
        valchecks-inRange
        valchecks-checkWatermarkSetting
        fs_fileIsHidden
        fs_rmdir

 * Removed functions:
        getFile --> fs_file_get_contents
        printAlbumOptionList --> use albumOptionList
        printNestedVals --> nestedAlbumOptionList
        Netpbm_decompose_image --> netpbm_decompose_image
        Netpbm --> netpbm
        isValidInteger --> isValidGalleryInteger
        acceptableArchive --> isAcceptableArchive
        acceptableFormat --> isAcceptableFormat
* Changed functions:
        url-popup_link
        album-returnToPathArray
        albumitem-getItemActions
        albumitem-generateCaption
        form-showColorpicker
        form-gInput
        form-gButton
        url-galleryLink
        util-getRequestVar
        util-gallerySanityCheck

 * Security fixed functions:
        content-drawApplet
        content-dismissAndLoad
        form-formVar
        valchecks-sanityCheck
        valchecks-isValidText
        validate_albums-removeInvalidAlbum
        gallery_remote-process
        gallery_remote-processFile


2008-08-11 Jens Tkotz <jens@peino.de>

 * Change/Fix: Disabled "click to enlarge" in captionator as it does not
               in a lot new browser.

 * Fix: Album options dropdown was broken in Safari.

 * Fix: After deleting an album from within an album,
        a confusing error msg appeard.



2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b50

 * Security fix for modules.php

 * Fix: Little CSS fix in g1-report

 * Fix: Added some more files that should be skipped for manifest.

 * Fix: PHP5 timezone fix.

 * CHANGE: $gallery->album = NULL
           When no valid album from session could be loaded.

 * Fix: Default to ISO-8859-1 in RSS when no locale is set.

 * Fix: Set locale as encoding, not language in RSS.

 * Change: Use default language when no language is set in RSS.

 * Remove: getFile() is obsolete.

2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b49

 * New: Rebuild thumbs has now its own popup.

 * Change: Moved stats functions in its own file.

 * Change: Rearranging items was rewritten. Thanks to Robert and Alan.

 * New: Integrated blacklist.txt into Gallery.

 * Change: Updated help texts. Thanks to Christian.

2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b48

 * Enhanced functions:
   - getItemActions()
   - imageEditChoice()
   - drawSelect()
   - drawSelect()
   - gallery_error()

 * New functions:
   - checkSMTPParams()
   - gallery_success($text)
   - gallery_info($text)
   - gallery_warning($text)
   - isValidTimestamp($timestamp) ; Thanks to Jesse (jmullan)
   - watermarkPicExists($wmName = '')
   - inRange($value, $min, $max)
   - fs_fileIsHidden($filename)

2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b47

 Fixes due to my stupiness and "brain off mode"

2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b46

 * Fix: GR ssl certs where out of date. Fixed by Pierre-Luc.

2008-08-07 Jens Tkotz <jens@peino.de> 1.5.8-svn-b45

 * New Methods:
   - Album->canViewItem($user, $index, $full = false)
   - Album->getAltText($index)
   - AlbumItem->createCaption($dir, $captionType)

 * Enhanced:
   - Album->getCaptionName()
   - Better Error handling in Album->getEmailMeList()
   - User->printableName()

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b44

 * Fix: Manual alignment of watermark failt when using IM.

 * CHANGE: Renamed Netpbm/NetPBM at various places to netpbm
           Also in function names, prefixes etc. !!!

 * Change: Moved icons for slideshow.

 * Change: Watermark dialog.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b43

 * Fix: Album->rebuildCaptureDates was broken for subalbums.
        Added also a nice progessbar.

 * Fix/Change: Renamed Album->makeThumbnailRecursive into
               makeThumbnails($recursive = false)
               (Jep also progressbar ;-)

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b42

 Method enhancements

 - Album->getParentAlbums

 - Album->resizeAllPhotos

 - ALL_WHERE_A_HTML_TAG_IS_RETURNED !!
  $attrs is now an array(), not a string !!

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b41

 * Change: Remove fotoserve as Service ! Album Version bump.

 * New: Nice JS progessbar for album upgrade.

 * Fix: Added the js files for arrow nav and strengthmeter.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b40

 * New: Added one more skin.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b39

 * New: Arrow Navigation. Veeery Nice :-)

 * Change: Other navigation issues.

 * New: Added JS password strengthmeter.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b38

 * Change:

  - Code beautify

  - Code consolidation

  - Code cleanup

  - Wording

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b37

 Security fixes.

 * Fix: Possible XSS protection in User->load and Album->load()

 * Fix: Stronger hash algorithm for new/lost password.

 * Fix: Added much better password strengthness.

 * Fix: Better check for valid album names.

 * New functions:
   - validAlbumName($name)
   - passwordStrength($password)
   - cleanRepetition($partLen, $string)

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b36

 * Change: Nice new donate icon.

 * Change: Nice new Gallery 1.5.8 icon :-)))
           The 1st G1 icon.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b35

 * Change/Fix: Added new colorpicker as the current did not work in IE 6.

   Its the mooRainbow colorpicker.

   Djamil Legato (w00fz) - < w00fzIT [at] gmail.com >
   http://moorainbow.woolly-sheep.net

 * CHANGE: Renamed toggle.js into toggle.js.php
            Enhanced Skript to work everywhere.

 * Fix: Another place, where $_REQUEST is modified.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b34

 * FIX: Do not only accept $_POST and $_GET for $_REQUEST.

 * Change: Added possibility to logout in various places.

 * Fix: Add more security to user preferences dialog.

 * Change: Code beautify ;-)

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b33

 * SECURITY BUGFIX *

 + Inadequate Application Error Handling and Suppression +

 Detailed error messages often result from unhandled or unexpected exceptions
 within application code. These messages are
 often the stepping-stone to more complex attacks because they typically
 provide information that indicates why an error
 occurred which can be further leveraged to refine successful attacks.


 Other Changes:

 * CHANGE: The constant LOAD_SESSIONS needs to be set before gallery
   session.php can be loaded.


 * CHANGE: Renamed printAlbumOptionList() into albumOptionList().
           Also does not print the options list anymore.
           Its returned as array.

           Same for printNestedVals() -> nestedAlbumOptionList()

 * CHANGE: New parameter for gTranslate
           $short = false ; previous behaviour is like this is set true!!

 * Fix: After deleting an album, the opener page is reloaded correctly.

 * Fix: Full imlementation for userDB->isInitialized()

 * Change: Cleanup and modified structure of albumProperties.php

 * Change: place of navigation icons.

 * Change: Better error and exception handling in
	    - album_permissions.php
            - photo_owner.php

 * NEW:
        lib/text.php
        lib/users.php

 * Change: Use printPopupStart() for the most popups.
           Moved from lib/content.ptp into lib/popup.php

 * New functions:
   - popup_link2($title, $url, $args = array())


 * New methods:
   -- Album->isImage($id)
   -- Album->isImageByIndex($index)
   -- AlbumItemm->isImage()

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b32

 *
 *** SECURITY BUGFIX ****

 + Inadequate Password Complexity Enforcement +

 The application does not enforce adequate password complexity requirements
 for user passwords.

 + New Password Functionality Susceptible to Brute Force Attacks +

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b31

 * Fix: Make logout work on Gallery, Album and Photoview.

 * Fix: Adjust addbrackets param to change link functions.

 * New methods:
   - albumDB->isInitialized()

 * New functions:
   - checkRequirements()
   - getAlbumCommands($album, $caption = false, $mainpage = true)
   - jsHTML($path)
   - isValidUrl($url)
   - isSafeHttpHeader($header)
   - gInput(...) !!
   - gReset(..)

 * Change: Some icon changes.

 * Update: All of the great Walter Zorn Js. They have now their own dir.

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b30

 *
 *** SECURITY BUGFIX ****

 + Application Insecurely Discloses Potentially Sensitive Data +

 Portions of the application were discovered that disclose
 sensitive data to application users.


 + CHANGE: Gallery prefers now Netpbm 10.3+ (was 9.9+)

 * CHANGE: Lots of changes in setup/*

 * Removed setup/backup_albums.php

 * Change: Renamed toggle.js tp toggle.js.php

 * New functions:
   - configError()

 * New methods:
   - userDB->isInitialized()

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b29

 *
 **
 *** SECURITY BUGFIX ****

 + Role-Based Authorization Not Adequately Enforced +

 The application determines whether certain functionality is available in
 the user-interface (UI) based on role/group-membership
 (admin, custom groups, etc) and assigned permissions (i.e. canChangeOwnPw,
 canWriteToAlbum, etc).
 Several components were identified that do not perform adequate server-side
 checks for appropriate role-membership and/or assigned permissions.
 This makes it possible to access functionality not normally available in the
 UI and perform potentially sensitive application-level tasks.


 * New functions:
   - returnToPathArray($album = NULL, $withCurrentAlbum = true,
                       $photoview = false)
   - fs_rmdir($dir)

2008-08-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b28

 *
 **
 *** SECURITY BUGFIX ****

 + Unauthorized Access to File System +

 Several application components expose functionality that permits users to
 remotely manipulate the underlying file system of the hosting web server.
 This includes the ability to retrieve arbitrary directory listings,
 read and delete arbitrary files, and write arbitrary data to existing
 files.


 * New functions:
   - LoginLogoutButton() !!
   - printInfoBox()

 * New: Added some new icons.

2008-08-05 Jens Tkotz <jens@peino.de> 1.5.8-svn-b27

 * Fix: Removed doubled function deinition.

2008-08-05 Jens Tkotz <jens@peino.de> 1.5.8-svn-b26

 *
 **
 *** SECURITY BUGFIX ****

 + Cross Site Scripting (XSS) +

 Login is now a separate page, not a popup.
 Verify userinput much more!


 + Application Account Lockout not Enforced +

 Account lockouts are not enforced over accounts once an excessive number of
 failed login attempts have been made.
 Gallery now locks such an account.


 * CHANGE: LOTS of CSS changes!

 * New class: Logins

 * New functions:
   - gHtmlSafe($string)
   - isValidGalleryUrl($url)
   - isValidText($text, $level = 0)

 * Change: Renamed isValidInteger() to isValidGalleryInteger()
           Also enhanced it.

 * Change: Tabs are no longer a table. They are cssified links.

 * Change: Temporary removed rebuild thumbs functionality.

2008-08-05 Jens Tkotz <jens@peino.de> 1.5.8-svn-b25

 *
 **
 *** SECURITY BUGFIX ****

 + Insecure Command Execution +

 By not validating the supplied parameters the application is exposed to
 arbitrary command execution by remote attackers

 Majorly changed the way files and archives are processed!



 * New functions:
   - xssCleanup($string, $level = 1) !!!
   - getMaliciousChars($level = 1)
   - infoBox($messages = array(), $caption = '', $withOuterBorder = true)
     niiice
   - showInvalidReqMesg($text = '')
   - checkWatermarkSetting(...)
   - gReset($name, $value, $additionalAttrs = array())
   - generateCaption($captionType = 1, $originalFilename, $filename) !

 * Removed functions:
   - extractFileFromArchive()

 * Change: Albums::addPhoto() does now return array(true, $statusMsg)

 * Change: Modified processNewImage() massively und moved into lib/albumItem.php

 * Change: Renamed lib/Form.php into lib/form.php !

 * New: lib/filetypes.php
   - Renamed acceptableArchive() into isAcceptableArchive()
     Moved over from util.php

   - Renamed acceptableFormat() into isAcceptableFormat()
     Moved over from util.php

   - Moved from util.php:
   -- acceptableArchiveList()
   -- isImage()
   -- acceptableImageList()
   -- isMovie()
   -- acceptableMovieList()
   -- acceptableFormatRegexp()
   -- acceptableFormatList()

 * New: lib/filesystem.php
   - New functions:
   -- extractArchive($archive, $ext, $destination)

   - Moved from util.php:
   -- getExtension()
   -- getArchiveFileNames()
   -- rmdirRecursive()
   -- findinpath()
   -- parse_csv()
   -- getexif()
   -- safe_serialize()

2008-08-05 Jens Tkotz <jens@peino.de> 1.5.8-svn-b24

 * Fix: Two little bugs in lib/url.php
   - Avoid PHP notices when Gallery is unconfigured.
   - Changing languages via flag diretly after login on mainpage failed.

 * Enhancement: Better check for http// in urlIsRelative().
                Also added check for ftp://

   Thanks to Jesse Mullan.

 * New: pathIsAbsolute($path)

 * Enhancement: More params for galleryLink()
   - $icon = ''
   - $addBrackets = false

2008-08-05 Jens Tkotz <jens@peino.de> 1.5.8-svn-b23

 * New: Added some new frames.

2008-06-28 Jens Tkotz <jens@peino.de> 1.5.8-svn-b22

 * Change: Just code adjustment in preparation for 1.5.8-RC1

2008-02-06 Jens Tkotz <jens@peino.de> 1.5.8-svn-b21

 * Fix: make_mo_files.sh did not work well in Solaris 7,
        also added some more robustness.

   Thanks to Maarten Deen, Niels Baggesen and Alan Harder.

2008-02-02 Jens Tkotz <jens@peino.de> 1.5.8-svn-b20

 * Fix: Some wordings.

 Thanks to Julien.

2008-02-02 Jens Tkotz <jens@peino.de> 1.5.8-svn-b19

 * Fix: A lot of typos (ggTranslate etc.)

 * Fix: Use correct charset (not locale) in rss.php

 * Fix: Typos in ecard handling.

 * Change: All links do now have a pointer as mousecursor.

2008-01-13 Jens Tkotz <jens@peino.de> 1.5.8-svn-b18

 * Fix: Use original cvs Id Tag, don't substitute with ours.

 * Fix: Typo in view_album.php

 * Change: Little code style in classes/HTML/table.php

 * Fix: Use correct charset (not locale) in rss.php

 * Fix: Use gTranslate() in rss.php and login.php

 * Fix: Use currentl language, not the default.

 Thanks to 'Maks' from Forums for the rss fixes.

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b17

 * Fix: HTML validation.

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b16

 * Change: Decreased debugging a little in exec_internal()

 * Fix: Forgot a ImageMap Change in b12

 * Fix: Little permission bug in view_comments.php

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b15

 * Change: Default width for popups:600 (500)

 * Change: Default height for popups: 550 (500)

 * Change: Enhanced function popup_link()

 * Fix: Function addUrlArg() was broken.

 * New: Function galleryIconLink()

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b14

 * Change: Enhanced function drawSelect2()
		 - Added list $optionIgnoreAttrs
		 - Added css for selected and disabled entries

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b13

 * Change: Enhanced function getItemActions()
		 - Added param $popupsOnly and $caption
		 - Former 'pure_text' is now 'text'
		 - Former 'text' is now 'value'
		 - Added Optional icon
		 - Fixed several wrong conditions
		 - Added sorting by field 'text'

 Above Changes are already used in b12 in view_photo.php

2007-12-25 Jens Tkotz <jens@peino.de> 1.5.8-svn-b12-UNSTABLE

 * Update: WZ Tooltip and WZ jsgraphic

 * Change: Adjustments to the WZ update.

 * CHANGE: Name attrib of photos from 'photo_j' to 'myPic'

 * Fix/Change: Use ImageMaps only when fitToWindow is off.


 !! view_photo.php has functionality which comes in b13 !!

2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b11

 * Fix: HTML Fixes.

 * Change: Removed unused var in rss.php.

 * Fix: Some plural translations.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b10

 * Change: Removed function make_attrs(), only use generateAttrs()

 * Fix: form_print_services() sometimes checked wrong items.

 * Change: Little static cache in getPath().

 * Change: Enhanced check_gallery_version() and checkVersions().


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b9

 * Fix: fitToWindow Fix


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b8

 Fix: Add missing Parameter for Gallery Remote in drawApplet()

 Fix: Valid HTML Output from dismissAndReload()

 Fix: Vali HTML Output and correct use of $url param in dismissAndLoad()

 Change: Skip . and .. in available_skins()

 Change: Nicer output from formatted_filesize()

 Fix: Avoid notices in unhtmlentities()

 Change: Made welcome_email() more comfortable.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b7

 * Fix: Javascript bugs


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b6

 * Update: Gallery 1.5.8 works with phpBB2 up to 2.0.22

 * Fix: HTML Fix in usermanagement.

 * Change: Added a target to links to printservices.

 * Fix: Show 'comment' statistics link only when comments are enabled.
        Also some HTML nicify.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b5

 * Change: Give better information when adding an item in case its a movie.

 * Change: Sometimes there a folder in the albums dir that are valid,
		   but Gallery sees them as invalid.
		   Was only 'CVS' in the past. Increased the list. ('svn' etc.)

 * Change: method printableName() returned '' in case the userobject
		   is empty or a pseudouser.
		   Change to return 'unknown user' when its a empty. Pseudousers are
		   handled normally.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b4

 * Update: XML_HTMLSax3 classes. Fixed also a license issue with debian.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b3

 * Update: Mail classes from Richard Heyes.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b2

 * Change: When a new user is added and the username is invalid,
		   the display was not sanitized for all cases.

 * Change: Better/more detailed information from the user integrity check.


2007-12-23 Jens Tkotz <jens@peino.de> 1.5.8-svn-b1

 * Changes:
			Lots of code style
			use of gTranslate()
			Some wording changes
			Little HTML fixes, etc.

			No real code change, so this is more "breakpoint" commit.

2007-08-16 Chris Kelly <ckdake@ckdake.com> 1.5.7

 * Release: 1.5.7

2007-08-13 Jens Tkotz <jens@peino.de> 1.5.7-svn-b16

 * Fix: Better regexp for email check.

   Thanks to G2.

2007-08-12 Jens Tkotz <jens@peino.de> 1.5.7-svn-b15

 * Change: Added function to detect jhead version.
           Show a warning if version is below 2.7.
           At least for 2.0 there are known problems.

   Thanks Kevin for testing!

 * Change: Some more minor wordings.

2007-08-01 Jens Tkotz <jens@peino.de> 1.5.7-svn-b14

 * Change: LOTS of wording fixes.

  Thanks very much to Julien Elie!!

2007-07-29 Jens Tkotz <jens@peino.de> 1.5.7-svn-b13

 * Fix: It was possible to bypass the voting permission.

2007-07-15 Jens Tkotz <jens@peino.de> 1.5.7-svn-b12

 * Change: Updated PEARs Mail/mimePart.php

2007-06-28 Jens Tkotz <jens@peino.de> 1.5.7-svn-b11

 * Fix: More use of gTranslate()

2007-06-28 Jens Tkotz <jens@peino.de> 1.5.7-svn-b10

 * Change: LOTS MORE wording fixes.

  Thanks to Julien Elie

2007-06-28 Jens Tkotz <jens@peino.de> 1.5.7-svn-b9

 * Change: Manifest update.

 * Fix: Use of correct gTranslate at various places.

 * Change: Text Change for default welcome message.

2007-06-27 Jens Tkotz <jens@peino.de> 1.5.7-svn-b8

 * Change: LOTS of wording fixes.

  Thanks to Julien Elie

2007-06-16 Jens Tkotz <jens@peino.de> 1.5.7-svn-b7

 * Fix: Use of a inputfield instead of a textarea in imagemap
        when embedded in phpNuke. reason is a conflict with tinymce.

2007-06-16 Jens Tkotz <jens@peino.de> 1.5.7-svn-b6

 * Change: More changes according to wz_tooltips v4

2007-06-16 Jens Tkotz <jens@peino.de> 1.5.7-svn-b5

 * Change: wz_tooltip.js    v. 4.02

2007-06-06 Jens Tkotz <jens@peino.de> 1.5.7-svn-b4

 * Change: Remove unneeded param $pathToResized from
           Album::resizeAllPhotos

 * Fix: Correct call of the method above.

2007-05-23 Jens Tkotz <jens@peino.de> 1.5.7-svn-b3

 * Fix: Unquoted indexes in ecardform

 * Fix: Wrong trigger for default email_sender in ecardform.

2007-05-23 Jens Tkotz <jens@peino.de> 1.5.7-svn-b2

 * New: In Joomla! and Mambo you can now enter which userlevel
        is allowed to create rootalbums.
        Uninstall/install of component required.

 * New: Method canCreateRootAlbum() for joomla/mambo user

2007-05-03 Jens Tkotz <jens@peino.de> 1.5.7-svn-b1

 * Fix: Little Typo

 * Change: use @ before mkdir in platform/*

2007-04-03 Chris Kelly <ckdake@ckdake.com> 1.5.6

 * Release: 1.5.6

2007-04-03 Jens Tkotz <jens@peino.de> 1.5.6-svn-b24

 * Change: Removed classes/php-gettext

 * Fix: Added svn ID to a couple of files.

 * Fix: Updated Manifest file.

2007-03-22 Jens Tkotz <jens@peino.de> 1.5.6-svn-b23

 * Fix: Search throwed a warning for albums without highlight.

2007-03-22 Jens Tkotz <jens@peino.de> 1.5.6-svn-b22

 * Fix: Htmlfix in b21 broke image area links.

   Thanks again to Ajuniper.

 * Fix: No empty tooltip if no hovertext is given.

2007-03-21 Jens Tkotz <jens@peino.de> 1.5.6-svn-b21

 * Fix: Quotes (single and double) and backslash were not quoted in
        imagemap.

   Thanks to Ajuniper from forum.

 * Fix: Little HTMLfixes in imagemap.

2007-03-09 Jens Tkotz <jens@peino.de> 1.5.6-svn-b20

 Fix: Removed PHP warning in edit_appearance

2007-03-05 Jens Tkotz <jens@peino.de> 1.5.6-svn-b19

 * Fix/Change: Added new functionality to rebuild capture dates.
               This makes it possible to fix broken dates, and also
               have correct captures dates when jhead or exiftags were
               installed later.

2007-03-04 Jens Tkotz <jens@peino.de> 1.5.6-svn-b18

 * Fix: Dont strip port from urls.

  Thanks to vgfh from forums.

2007-02-27 Jens Tkotz <jens@peino.de> 1.5.6-svn-b17

 * Fix: On some Cameras (e.g. some SONY), jhead and exiftags
        extracts some fields double and thus an reliable extraction fails.

   Thanks to Marcio Marchini for reporting an issue with this.

2007-02-27 Jens Tkotz <jens@peino.de> 1.5.6-svn-b16

 * Fix: Form intro now works with IDs in hidden fields.
        This fixes broken HTML/Javascript for tabs.

 * Fix: Little HTML entity "bug" in includes/definitions/albumProperties.php

 * Fix: Little HTML bug in view_album.php

2007-02-18 Jens Tkotz <jens@peino.de> 1.5.6-svn-b15

 * Fix: Missing } in css/screen.css.default

   Thanks to northfork from forums.

2007-02-09 Jens Tkotz <jens@peino.de> 1.5.6-svn-b14

 * Fix: When recursive unsetting was not applied for subalbums when
        current album was already unsetted.

 * Change: Remove little debug code.

2007-02-09 Jens Tkotz <jens@peino.de> 1.5.6-svn-b13

 * New: Added Top5 voted feature. (RFE #929207)
      "Email me when comments are added -> recursively"

 * Change: Enhanced Wording and error output for emailing.

2007-02-08 Jens Tkotz <jens@peino.de> 1.5.6-svn-b12

 * Fix: Typo in PN Version check.

2007-02-07 Jens Tkotz <jens@peino.de> 1.5.6-svn-b11

 * Fix/Change:

    In postNuke 0.8, _PN_VERSION_NUM and _PN_VERSION_ID were renamed.
    Leading _ is removed.

    Invented new global $GALLERY_POSTNUKE_VERSION, set in index.php

    Thanks to 'tycho' from Forum.

2007-02-07 Jens Tkotz <jens@peino.de> 1.5.6-svn-b10

 Ported over from 1.6

 * Fix/Change: validate_albums
              - Some Links were broken
              - Explicit check for allowed invalid albums
              - Nicified output

2007-02-06 Jens Tkotz <jens@peino.de> 1.5.6-svn-b9

 * New: Added build manifest script for svn 1.4

2007-02-01 Jens Tkotz <jens@peino.de> 1.5.6-svn-b8

 * Fix: Uninitialized return value in locateDir()
   Thanks to Peter Schumacher.

2007-01-31 Jens Tkotz <jens@peino.de> 1.5.6-svn-b7

 * Fix: Bug #1305215, enhanced files that are treated as executable
		on win32.

2007-01-31 Jens Tkotz <jens@peino.de> 1.5.6-svn-b6

 * Bug/RFE: #1589714, Better errormessage which .htaccess is meant.

2007-01-30 Jens Tkotz <jens@peino.de> 1.5.6-svn-b5

 * Fix: Manifest update.

 * Fix: Bug #1121796

 * Fix: Correct pages jump to next and previous block in navigator.

2007-01-20 Jens Tkotz <jens@peino.de> 1.5.6-svn-b4

 * Fix: Login was broken in b1.

 Thanks to Brian Rademacher!

2007-01-02 Jens Tkotz <jens@peino.de> 1.5.6-svn-b3

 * Change: Update Copyright to 2007

2007-01-02 Jens Tkotz <jens@peino.de> 1.5.6-svn-b2

 * Fix: When Comments are globally deactivated, but a user has
	    the right to add a comment, the global deactivation didnt
	    work and a user can bypass this.

2006-12-18 Jens Tkotz <jens@peino.de> 1.5.6-svn-b1

 * Fix: Bug #1608264
	After logging in, the userlanguage was not set.

 * Change: Move the session init before the language init in init.php

2006-12-07 Chris Kelly <ckdake@ckdake.com> 1.5.5-pl2-svn-b1

 * Fix: svn keywords were missing on some files which broke
 	up to date checking in the config wizard

2006-11-12 Chris Kelly <ckdake@ckdake.com> 1.5.5-pl1

 * Fix: Small typo broke slideshow in Opera and IE
 * Release: 1.5.5-pl1

2006-11-12 Chris Kelly <ckdake@ckdake.com> 1.5.5

* Release: 1.5.5

2006-11-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b21

 * Fix: Little CSS issue in config wizard.

 * Fix: More Typos.

2006-11-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b20

 * Fix: Vertical Flip was broken in rotate/flip dialog.

 * Fix: Typos.

   Thanks to C.M. aka H.P.

2006-11-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b19

 * Fix: Embedded slideshow in low mode.

 * Change: Added class "g-photo" around every thumb and photo.
	   So its easier controllable via CSS.

 * Change: Make textarea in edit_field a little bigger.

2006-10-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b18

 * Reverted b17 Change

 * Change: removed unneeded $gallery->align from lib/lang.php

 * Use of gTranslate at some places.

2006-10-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b16

* Fix: #1487824, allow negative alignment for watermark.

2006-10-12 Jens Tkotz <jens@peino.de> 1.5.5-svn-b15

 * Fix: #1299913 ; $_REQUEST['name'] is now NOT longer an indicator for
                   being embedded.

2006-10-10 Jens Tkotz <jens@peino.de> 1.5.5-svn-b14

 * Change: Better failure handling for eCards.

 * Fix: eCard preview did not work embedded.

2006-09-28 Jens Tkotz <jens@peino.de> 1.5.5-svn-b13

 * Fix: The preference for normal/full when browsing an album was broken since Gallery 1.5.2
   Thanks to mg66 from forums.

2006-09-16 Jens Tkotz <jens@peino.de> 1.5.5-svn-b12

 * Fix/Change: lib/lang.php
    - initlanguage() was called to late in init.php.
      This results in a Call to undefined function: _()

    - Added second param $userlanguage to initlanguage()
      If this is set a reinit is forced.

    - Check in init.php for user language if this is different then
      already initialized $gallery->language, do a reinit.

    - Enhanced the emulation of gettext and ngettext to adjust with possible reinit.

2006-09-16 Jens Tkotz <jens@peino.de> 1.5.5-svn-b11

 * Update: wz_tooltip.js    v. 3.38

 * Update: wz_jsgraphics.js    v. 2.36

2006-09-11 Jens Tkotz <jens@peino.de> 1.5.5-svn-b10

 * Fix: Use htmlspecialchars() also in <title>..</title>

2006-09-11 Jens Tkotz <jens@peino.de> 1.5.5-svn-b9

 * Fix: Use htmlspecialchars() in <link rel="alternate" ...>
	to avoid problems with links in album and Gallery title.

2006-09-11 Jens Tkotz <jens@peino.de> 1.5.5-svn-b8

 * Fix: If magic_quotes are On, stripslashes were called after sanitizing
	the input.
	This results in the fact that links in input with quotes were not
	regocnized.

 * Fix: Use stripslashes_deep() on Input.

2006-09-08 Jens Tkotz <jens@peino.de> 1.5.5-svn-b7

 * Change: Enhanced wording in config.

 * Fix: Little CSS for for .g-littlered.

2006-09-08 Jens Tkotz <jens@peino.de> 1.5.5-svn-b6

 * Fix: Added additional --keyword in xgettext calls to support gettext 0.15

2006-09-04 Jens Tkotz <jens@peino.de> 1.5.5-svn-b5

 * Fix: Preloading fix from b1 was not fully correct.

 * Change: centered photo and navigation when embedded.

 * Fix: HTML fix in ecard form.

2006-09-04 Jens Tkotz <jens@peino.de> 1.5.5-svn-b4

 * Fix: Shadow frame files were corrupted ?!?

2006-09-02 Jens Tkotz <jens@peino.de> 1.5.5-svn-b3

 * Fix: Fix for next Tab in b1 was not fully correct.

2006-09-02 Jens Tkotz <jens@peino.de> 1.5.5-svn-b2

 * Fix: Link to colorpicker was broken.
        (Thanks to chasba from IRC)

2006-09-02 Jens Tkotz <jens@peino.de> 1.5.5-svn-b1

 * Fix: Font color issue in multifile Js

 * Fix: "next tab" was broken in Config

 * Fix: Preloading feature in FF does not increase the counter
	in view_album and view_photo.
	(Thanks to Jade)

2006-08-14 Jens Tkotz <jens@peino.de>

 ***  Release: 1.5.4 ***

2006-08-14 Jens Tkotz <jens@peino.de> 1.5.4-svn-b17

 * Fix: #1444556;

2006-08-14 Jens Tkotz <jens@peino.de> 1.5.4-svn-b16

 * Change: _() to gTranslate at various places.

2006-08-14 Jens Tkotz <jens@peino.de> 1.5.4-svn-b15

 * Change: Use non-table tabs from 1.6

 * HTML fixes in setup/config_data.inc

 * Adjustments in skins: hotred, yellow, jenskin, white1

 * Some indenting.

 * if galleryLink as empty target, dont use href=

2006-08-13 Jens Tkotz <jens@peino.de> 1.5.4-svn-b14

 * Change: Removed "No Votes messages".

 * Change: Show link to full results only if there are results.

2006-08-13 Jens Tkotz <jens@peino.de> 1.5.4-svn-b13

 * Fix: Links in voting box were wrong.

 * CSS changes in view_album.php

 * Jensskin updates.

2006-08-02 Jens Tkotz <jens@peino.de> 1.5.4-svn-b12

 * Fix: JS warning in ImageMap when no ImageMap is available.
   Thanks to StephaneT from forums.

 * Little CSS changes in jenskin.

2006-07-29 Jens Tkotz <jens@peino.de> 1.5.4-svn-b11

 * Fix: Order of captions was mixed in IE and Opera when given direct in the form.
	Fixed by using this.nextSibling in insertBefore()

2006-07-21 Jens Tkotz <jens@peino.de> 1.5.4-svn-b10

 * Fix: drawSelect in slideshow misbehaved and selected the wrong transition.

2006-07-12 Jens Tkotz <jens@peino.de> 1.5.4-svn-b9

 * Fix: Little warning in configwizard ; occured in first install.

2006-06-19 Jens Tkotz <jens@peino.de> 1.5.4-svn-b8

 * Fix: init_language() is not called redundant in init.php

 * Change: When user updates his language, the parent page is reloaded with the new language.

2006-06-19 Jens Tkotz <jens@peino.de> 1.5.4-svn-b7

 * PHP5 fix:
   In classes/Mail/htmlMimeMail.php and do_command.php was $HTTP_SERVER_VARS used,
   which is not longer present in PHP5

 * Fix: Correct use of $MIN_PHP_MAJOR_VERSION in lib/setup.php

 * SVN-Fix:
   Date of last change in Version.php was wrong extracted.

2006-05-10 Jens Tkotz <jens@peino.de> 1.5.4-svn-b6

 * Added php-gettext
   https://savannah.nongnu.org/projects/php-gettext/

2006-05-02 Jens Tkotz <jens@peino.de> 1.5.4-svn-b5

 * Updated and/or added $Id SVN Keywords.

2006-04-26 Jens Tkotz <jens@peino.de> 1.5.4-svn-b4

 * Fix: Often bots access the ecardform without having correct photo loaded etc.
        This leaves unnecessary Errormessage in Apaches logfile

   Thanks to Peter Schumacher from forums.

 * Fix: Only do userinput sanitation if value contains html tags.

 * FIX: Compressing an Image with having maximum filesize failed.
   Thanks to Scott Barnes (atomsmith) from forums.

 * FIX: Just compressing(no resize) an Image with NetPBM failed.

 * Changing Checks in setup to SVN.

2006-04-22 Jens Tkotz <jens@peino.de> 1.5.4-cvs-b3

 * Fix: Name of not logged in commenters was displayed as "anonymous" instead of entered name.
   Thanks to Mottie from forum.

2006-04-13 Jens Tkotz <jens@peino.de> 1.5.4-cvs-b2

 * Fix: Gallery uses the same XML_HTMLSax3 library as postNuke does.
	Thus a redeclare error occured.
   Thanks to Christian Ruffer.

2006-04-11 Jens Tkotz <jens@peino.de> 1.5.4-cvs-b1

 * Fix: Album Permissions were not working proper.
   Thanks to Jonathan Stanley (SHS` in IRC)

2006-04-06 Chris Kelly <ckdake@ckdake.com> 1.5.3

 * Release: 1.5.3

2006-04-06 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b23

 * Change: Allow HTML again also in comments and user captions for images.

2006-04-06 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b22

 * Fix: ImageMap was opened was popup when no icons are used.

 * Change: Removed obsolete function showChoice()

2006-04-05 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b21

 * Fix: Frame around movies in photo view was broken.

2006-04-04 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b20

 * Fix: Use gTranslate instead of _( in albums.php, view_album.php and view_photo.php

2006-04-04 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b19

 * Change: Make select boxes in watermark form to stay at the value selected before a preview.
   Thanks to ejolley from forum.
   Change done as 1.5.3-cvs-b8 in HEAD


 * Change: Added icons for rotate and flip.

 * Change: Layout of rotate_photo.php.
   Thanks to Volksport.
   Change done as 1.5.3-cvs-b5 in HEAD

 * Fix: Language Mode 2 (Browserlanguage) was broken.

2006-03-28 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b18

 * SECURITY FIX *

  It was possible to use/"inject" Javascript inside various places to abuse this as a XSS Exploit.

  Now every userinput got from $_REQUEST is sanitized.
  We use the PEAR packages HTML_Safe and XML_HTMLSax3 to do this.
  Nice benefit is that HTML is now again possible in captions, titles, etc.

  The Team would like to thank Aditya Mooley for catching and reporting this.
  And giving us the time to fix it before going to public.

  Aditya Mooley is member of the Coppermine-Gallery Development team.
  So have a look at http://coppermine.sf.net, the page of our friendly competittion application.

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b17

 * Fix: In some dropdown boxes the wrong items is selected.
	Appears e.g. in slideshow in IE where "blend" should be selected, but acutally
	"RANDOM" is.

	Thanks to Yuan from forums.

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b16

 * Fix: When Gallery runs in joomla the complete framework is loaded into the
	progressbar when uploading pictures.

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b15

 * Fix: Even if owner modification is set to "no" then owner are allowed to hide there pictures.
	Especially odd when owner is "everybody".

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b14

 * Fix: When uploading files via the FORM method, the order was reverted in IE and Opera.

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b13

 * Fix: When border is set to "solid" or "dots" then an unnice space appeared around thumbs.

2006-03-27 Jens Tkotz <jens@peino.de> 1.5.3-cvs-b12

 * Fix: When you have "Can every permitted user see a comments overview" set to 'yes'
        and then the permitted user goes to the overview he/she will get a "add comment" Button.
	Regardless wether the user is allowed to add comments, or not.

	This Fix makes the button only appear when user is allowed to add comments.

	Thanks to Yuan from forums.

2006-02-06 Chris Kelly <ckdake@ckdake.com> 1.5.2-pl2

* Release: 1.5.2-pl2

2006-02-07 Jens Tkotz <jens@peino.de> 1.5.2-pl2-cvs-b1

 * FIX: If zipdownload is enabled and zipping failed,
        gallery regardless tried to delete the parentfolder of the non existing file.
        This deletes A LOT MORE then we want.

2006-02-06 Chris Kelly <ckdake@ckdake.com> 1.5.2-pl1

  * Release: 1.5.2-pl1

2006-02-06 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b6

 * SECURITY-FIX:
   If you trick an admin or a ser who has owner privs in a gallery into
   clicking on prepared link and it will cause them to insert a bad file path
   into their album data which could then cause a local file execution bug.

   The Team would like to thank
   Tom Saville (seregon@bughunter.net) and his team from http://digitalarmaments.com

2006-02-02 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b5

* Fix: Typo in lib/imageManipulation (netPPM instead netPBM).
       This causes watermarking to fail when watermark is a gif.

2006-02-02 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b4

* Fix: adminOtherChangesEmail was not working.
  Thanks to rbeuker from forums.

2006-02-02 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b3

 * Fix: setup/session_test.php didnt work correct with register globals off.

2006-02-02 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b2

* Fix: "move" and "copy" an item was restricted to admins.
       Reverted to people who have permissions to edit an album.

2006-02-02 Jens Tkotz <jens@peino.de> 1.5.2-pl1-cvs-b1

 * Fix: Pierres Fix from 1.5.2-RC3-cvs-b7 was only in HEAD.

2006-01-19 Chris Kelly <ckdake@ckdake.com> 1.5.2

 * Release: 1.5.2 Final

2006-01-19 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b9

 * Change: "sanitize" fullname in new_password.php also.

 * Change: removed html/errorRow.inc, move this into lib/messages

2006-01-18 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b8

 * Security-Fix: Fullname for users was not sanitized.
                 Thus an unnince user could do a XSS injection
	         as the fullname is displayed when owner is displayed.
   Thanks to Peter Schumacher!

 * Fix: 'fitToWindow' was broken for Internet Explorer.
   Thanks to petorian from forum.

2006-01-17 Pierre-Luc Paour <paour@users.sourceforge.net>  1.5.2-RC3-cvs-b7

 * Fix: applets work again in Joomla-embeded mode. Thanks Mike Henin.

2006-01-13 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b6

 * Change: Added css for subalbumtree and tree element to have same appearance as in 1.5.1

2006-01-13 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b5

 * Fix: Substitution function for glob() for PHP<4.3 returned . and .. which broke zipdownload.

2006-01-11 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b4

 * Fix: Due to my regexp UNknowledge Pelles hints in RC2-cvs-b16 broke upload with netPBM.

2006-01-11 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b3

 * Fix: fitToResize in view_photo should not be applied to movies :)
   Thanks rebdrew from forums.

2006-01-10 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b2

 * Fix: OOoops, german in config wizard.
   Thanks to Bart.

2006-01-10 Jens Tkotz <jens@peino.de> 1.5.2-RC3-cvs-b1

 * Fix: galleryImage() in setup/check_versions.php should be gImage()

 * Fix: check_imagemagick.php and setup/check_netpbm.php just check for existence of config.php,
	instead of doing proper test. Using gallerySanityCheck() now.

 * Change: Removed function error_row_wrap(),just use gallery_error() in confirm.inc.

2006-01-09 Chris Kelly <ckdake@ckdake.com> 1.5.2-RC2

 * Release: 1.5.2-RC2

2006-01-09 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b16

 * Change: "pimp my code" in lib/imageManipulation.php
   - Use separate internal var $stripProfiles instead of override $keepProfiles
   - Use technically correct escaping in regexp. Thanks to Pelle.
   - Use execwrapper instead of exex_internal.

2006-01-09 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b15

 * Fix: "Set as highlight" for subalbums were broken in 1.5.2-RC2-CVS-b6
   Thanks to mastrboy from forum.

2006-01-08 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b14

 * FIX: rar cmdline tool can only handle RAR.
	- NOT handled: 'cab', 'arj', 'lzh', 'tar', 'gz', 'bz2', 'ace', 'uue', 'jar', 'z'
	- Adjust text in upload form.

 * Fix: Supported archives were not showed in selected box for url upload.

 * Fix: AcceptableArchive() should be acceptableArchive()

 * Fix: Dont extract content of rar archives with full path.
        The results in problems when content files have spaces.

 * Fix: Use of gTranslate in layout/adminAlbumCommands.inc

 * Change: Added a lot more debugmessages (sorry translators)

 * Change: Some layout regarding to upload process.

2006-01-06 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b13

 * Fix: getLanguageAlias() was buggy,
	but appeared only in some environtments in combination with Joomla! and/or Mambo.

2006-01-06 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b12

 * Update Copyright to 2006.

2006-01-05 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b11

 * Fix: When Magic quotes are on and Gallery runs on Windows,
        \ in pathes was erased by stripslashes.

2006-01-04 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b10

  * Fix: Adapted init.php to fit with phpBB2 2.0.19

  * Changed: Removed phpBB2 Patch, as it only would fit for a couple Versions.

2006-01-01 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b9

  * Fix: Bug #1379746 ] search.php wrongly matches albums

2005-12-31 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b8

 * Fix: Albumtree used not the url, but the name.
        Thanks eliah from forum.

2005-12-31 Kai Tomalik <kai@gallery-addons.com> 1.5.2-RC2-cvs-b7

 * Fix: No hardcoded table prefix for mambo and Joomla!

2005-12-30 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b6

 * Fix: Item Owner couldnt delete their own item when
        they had no delete permission for the complete album.

 * Fix: Item Owner couldnt watermark their own pictures.

 * Fix: Item Owner couldnt resize their own pictures.

 * Fix: Item Owner permissions in view_album and view_photo were totally broken.

 * Change: Layout in layout/watermarkform.inc

 * Change: More text when using form upload. Also layout enhancement for dynamic fields.

 * Change: Reduced output in non-debug when adding items.

 * Change: Layout in user_preferences.php

2005-12-30 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b5

 * Fix: If user choosed "no caption" on upload, this setting was ignored.
   Thanks to jobeus from forum.

 * Fix: Removed deprecated Call-time pass-by-reference in watermarkform.
   Thanks to Lypsik from forum.

2005-12-29 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b4

 * Fix: Added the two new help files to approved file list.
   Thanks Kai.

2005-12-29 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b3

 * New: Added 2 new options for highlight and thumbnail quality.
        Users complained about new fix quality settings.

   -> Config Version bump.

2005-12-29 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b2

 * Fix: Missing quotation broke previous thumbs in microthumb nav.
   Thanks to Perrin from forums.

 * Fix: Missing ; after &nbsp microthumb nav.

2005-12-28 Jens Tkotz <jens@peino.de> 1.5.2-RC2-cvs-b1

 * Fix: gTranslate relied on gettext, now works without.
   Thanks to alindeman.

 * Change: removed last ngettext() call, use gTranslate instead.

2005-12-28 Chris Kelly <ckdake@ckdake.com> 1.5.2-RC1

 * Release: 1.5.2-RC1

2005-12-28 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b61

 * Fix: Use full/resized prev in microthumbs
   Thanks to Kai.

2005-12-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b60

 * Fix: Aurotated photos (exif) were rotated again on copy/move.

 * Fix: Autorotation code was executed even if pic is no jpeg.

2005-12-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b59

 * Fix: Enable ImageMaps only in resized view.

 * Change: AltText on tipIcon

 * New: functions galleryLink() & generateAttrs()

 * Change: Added link back to photo from ImageMaps

 * Change: some indenting.

2005-12-24 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b58

 * Fix: Step 3 in Config was little bit broken.
   Thanks to Kai.

 * Change: Updated Manifest.

2005-12-23 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b57

 * Change: Added display of creation date in albums.php

 * Change: Wording in register.php

 * New: Added method getCreationDate() in classes/Album.php

 * Change: length for email and fullname field in html/userData.inc

 * Change: change of bars002 skin.

2005-12-19 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b56

 * Change: Some css in config.php

 * Fix: Disabled "Show the add vote link" in stats-wizard,
        as this functionality is not implemented yet.

 * Fix: removed redundant function galleryImage()

 * Change: simplified form_choice(); lib/setup.php

 * Fix: Some HTML fixes in config wizard.

 * New: Show h0bbel(legend) for status appearing in step1 check page.

 * New: Added Js to switch graphictoolkit settings.

2005-12-19 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b55

 * Fix: Thumbnail in Successmessage for eCards got lost.

 * Fix: Remove commentspam blacklist entries was broken.

 Thanks to Kai for catching this.

2005-12-18 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b54

 * Change forgot to commit new icon images.

2005-12-17 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b53

 * Change: Code and html nicify.

 * Fix: Button value in move_photo.

2005-12-17 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b52

 * Change: refactored printChildren and printMicrochilder
	   o Added nice tree pics (ready for rtl)
	   o Created function createTreeArray

 * Fix: Removed debugmessag in save_photos.php

 * Fix: Use gTranslate as some places in classes/Album.php

 * Change: Reword metadataOnUpload help messag.
	   Thanks to Christian "H0bbel" Mohn.

 * Change: Nicified add_form.inc

 * Fix: removed add_admin.inc from list of translateable files.

2005-12-15 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b51

 * New: Added help for metadata on upload.

 * Fix: Metadata on upload.

 * Change: Removed not need 'admin' tab in upload photos.

 * Change: Some text changes in administer startpage.

 * Fix: imagemaps were not working inside Geeklog
   (Thanks Georg)

 * Change: No fix amount of upload files, instead use dynamic count of files.
   	   Used script from  Stickman -- http://www.the-stickman.com

 * Change: Added more debumessages in util.php

 * Change: Set quality for thumbnails sticky to 50

 * Fix: Typo in css/base

 * New: Added function gImage that generates a complete <img ...> html

 * Change/Fix: Internal param use for ImageMagick. (e.g. cropping for IM5 was broken)

 * Change: Updated bars002 skin.

2005-12-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b50

 * New: Added help/ folder

 * New: Added help (questionmark) icon

 * Change: Added help for imagemap.php

 * Fix: use gTranslate, not gtranslate in setup/configdata

2005-12-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b49

 * Fix: Bug #1299951, custom field options are not applied to nested albums

2005-12-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b48

 * Fix: Bug #1281140, charset in emails.

2005-12-09 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b47

 * Fix: Zlrofix JS. reverted to former JS and fixed it via PHP.

2005-12-09 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b46

 * Fix: Display of ImageMaps was broken when Imagemaps in the middle where removed.

 * Fix: DebugMessage in lib/lang prevent login

2005-12-09 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b45

 * Change: New icons for navigation, placed into images/icons

 * Change: Moved icon definition for navigation into includes/definitions/navIcons.php

2005-12-08 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b44

 * Change: Added sort parameter to makeSectionTabs

 * "Fix": Translate "No Skin" in confwizard.

 * Change: Move checkImageMagick() into lib/setup.php

 * Change: Beautified setup/check_imagemagick.php and added check for optional bins.

 * Change Beautified setup/check_versions.php

 * Fix: More use of gTranslate in confwizard.

 * Change: Little css Change in config.css

2005-12-08 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b43

 * Change: Params of ImCmd

 * Change: ImCmd optimized for IM6

 * New: Optimized thumbnail creation for IM6

 * Change: removed unused function vd() (sorry joan ;))

 * Change: Added posibility for negative test with ! in testRequirement()

 * Change: Adde case 'albumIsRoot' to testRequirement()

 * Fix: Splitted "delete album" in view_album into delete root album and delete subalbum

 * Change: Only popup option are available in selectbox in view_album, ALL are available in view_photo

 * Change: renamed compress_image to compressImage and changed params

 * Change: Optimized compressImage for IM6

 * Change: general code nicify.

 * New: Added HQ Paramater for ImageMagick, if yes, then resized have a slightly higher quality.

2005-12-05 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b42

 * Change: Sort albumProperties alphabetically.

 * Change: Added size 50 for album titles for better readability.

 * Change: Moved "voter class" at first position in album properties.

 * Change: Some code nicify.

 * Change: Updated bars002 skin.

2005-12-04 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b41

 * Fix: administer_startpage.php should open itself as a "real" popup when embedded.

 * Fix: Changed Windows lineendings to unix style in ecard_preview.php

 * Change: Moved some functions from util.php into lib/album.php and lib/imageManipulation.php

 * Fix: ecard parsing must be different for preview and final mail sending.
   And again Kai did it :)

 * Change: Some intending and code nicify.

2005-11-27 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b40

 * Fix: Imagemaps were not working embedded.
  Thanks again Kai.

2005-11-27 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b39

 * Fix: Since change in b28 amount of views was no displayed correct.
   Thanks to Toastmaster

2005-11-27 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b38

 * Fix: Add imagemap.php to $safe_to_include array
   Thanks to Kai Tomalik

2005-11-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b37

 * Fix: Watermarking with ImageMagick was broken since b19.

2005-11-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b36

 * Fix: Commenting was broken when comments_addType was 'inside'
   Thanks to Toastmaster from forums.

2005-11-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b35

 * Fix: Missing formvalues in view_photo.php when only one Service is selected.
   Thanks to icerunner from forums.

2005-11-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b34

 * Change: Got almost definitely rid of an old relict :)

2005-11-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b33

 * Change: Little performance tweak for ImCmd(). Use static var for IM Version.

2005-11-23 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b32

 * Change: Add possibility to delete album via "main" album options selectbox.

2005-11-22 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b31 "Holly Release Part 2"

 * NEW: Added possibility to add imagemaps (areas) to a photo.

 * Fix: Alignment breadcrumb

 * Fix: Missing echo in drawCommentAddForm().

 * Fix: Sorting content of album was broken.
   Thanks to Brian Rademacher !

 * Change: Layout of icons in view_photo.php

 * Change: Added 'pure_text' field to albumItem options for sorting.

 * Change: Prevent unnecessarey Javacript when getting albumItem options.

2005-11-06 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b30

 * Change: Lots of translation related things.
  - Change a lot _() to gTranslate()
  - wording
  - introdcued common translation file
  - added download.php and includes/add_photos/captionOptions.inc.php to list of translated files

 * Change: Little Layout change in delete_album.php and rearrange.php

 * Change: Wording and checks in download.php

2005-11-05 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b29

 * Change: List of owner is now sorted again alphabetically.

 * Change: Mark Pseudousers with * around in permission dialog.

 * Change: Wordings.

 * Fix: xgettext keyword parameter to catch gTranslate.

 * Fix: Missing , in setup/check_versions.php

2005-11-04 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b28

 * New: Added creation date to album fields

 * New: Added sort by last reset date and creation date to mainpage albums.

 * Fix: Album permissions were broken in b17

 * CHANGE: removed function pluralize_n2 !

 * NEW: Added function gTranslate to lib/lang.php

 * NEW: Added third translation file for common phrases used in config and core.
        NOTE: only german is updated !

 * CHANGE: --keyword=gTranslate:1,2 in po/create_po_template.sh

 * Change: Some wording.

 * Fix: breadcrumb in captionator

 * Fix: Better handling in save_photos.php for unreadable dirs and files.

 * Change: moved function createNewAlbum() from util.php to lib/album.php

 * Change+Fix: tweaked array_sort_by_fields() to handle album fields (sorting by subarray)

 * Fix: Element counter on mainpage was broken.

2005-10-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b27

 * Fix: naming in b26 was wrong

 * Fix: added administer_startpage.php to safe to include list.

   Thanks to dmolavi for catching this bugs.

2005-10-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b26

 * Change: Changed button for rebuild highlights to "Adminster startpage".

 * New: Added popup "Adminster startpage".

 * New: Added possibility to resort albmorder on startpage.

2005-10-26 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b25

 * Fix: Some php4.4.0 fixes in Richards Heyes' htmlMimeMail.php

 * Change: Added Alias before receptient adress in ecards -> Jens <mail@example.com>

2005-10-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b24

 * Change: Standardified a lot texts.

2005-10-22 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b23

 * Change: Some more little changes in random-block.

 * Fix: added quotes around filename in function downloadFile()

 * Change: Some more space saving in config wizard.

 * Change: Moved function getCheckStatus() into lib/setup.php

 * CHANGE: Use of chmod in platform functions instead of umask as suggested in php docs.

2005-10-20 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b22

 * Change: renamed readCache() and writeCache() in stats.php and block-random.php
	    to more unique names, to avoid conflicts.

 * Change: Change html output of block-random.php. Uses now <div> with classes instead of <center>.

 * Fix: Do not send headers in initLanguage() if headers were already sent.

 * Change: Display columns in view_photo_properties left/right aligned according to language direction.

2005-10-20 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b21

 * Fix: New Images were not committed in b20.

 * Fix: Use correct gif, instead of non existing png in check.inc and js/toogle.js

2005-10-18 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b20

 * Change: Pimp my configwizard step 1.
	   - New Layout
	   - Changed wording
	   - Combined some test.

 * New: function galleryImage() in lib/content.php

 * Change: Added more detaied description for thumbs ratio.

 * New: Added js/toggle.js

2005-10-17 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b19

 * Change: Different param order for ImageMagick.

 * Change: removed function removeTags(), which was just a wrapper for strip_tags()

 * NEW: Added ratio for thumbnails (per album) and highlight (startpage).
        0   - Ratio as the original
	1/1 - Square

       -> Config version bump

 * New: Added "rebuild highlights" for admins. It rebuild all highlights on startpage.

 * New: Added "Paranoia" debuglevel, not useful for normal debug ;)

 * Change: reworked function getDimensions(), removed second parameter.

 * Change: create lib/album.php and lib/imageManipulation.php, moved functions from util.php.

 * New: method getHighlightRatio() in classes/Album.php

 * Change: modified method makeThumbnail() in classes/AlbumItem.php to hence thumbnail ratio.

 * New: function cropImageToRatio() in lib/imageManipulation.php

 * Change: Some css changes in config to save space.

 * Fix: Frames were broken due to wrond base url.

2005-10-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b18

 * Change: Added subgroups in configwizard.

2005-10-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b17 "Holly Release Part 1"

 * NEW: Support for albumdownload as zipfile.
   - Added new permission for zipdownload per album.
   - Tweaked albums.php, when user is allowed to download and zip is installed,
     a little zipicon appears.
   - Same for subalbums in view_album.php
   - Added download.php. This is called when user presses icon.
     User can choose between full, or resized download.
   - Added Path to 'zip' in config wizard.

   - new method getImageName() in classes/AlbumItem.php and classes/Image.php
   - new method canDownloadAlbum() classes/User.php
   - splitted canHandleArchive() into canDecompressArchive() and canCreateArchive()
   - new function createZip()
   - new function getMimeType()
   - new internal function createTempAlbum()
   - new function rmdirRecursive()
   - new function downloadFile()
   - new function arrayflaten()
   - new method getAbsolutePhotoPath() in classes/Album.php
   - new method numItems() in classes/Album.php
   - new method getAlbumItemNames in classes/Album.php
   - new method getAlbumSize() in classes/Album.php
   - new function formatted_filesize()

2005-10-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b16

 * Fix: manage_users.php were broken in in b12

 * New: Its now possible to have an sorting by photo/Album, after normal sorting.

 * Change: Numbers of pages in navigator are now centered.


2005-10-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b15

 * CHANGE: outsorced a lot functions that create output from util.php into lib/content.php

 * Change: Images in ecard are now embedded.
	   Benefit is more privacy and image dirs can be protected via .htaccess auth.

 * Change: Added default name 'g1_form' to makeFormIntro()

 * Change: Lots of indenting.


2005-10-11 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b14

 * New: Better Support for Joomla!


2005-10-05 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b13

 * Fix: phpBB2 people changed code a little. So patch didnt work.
	Made Docu updates also. G1.5.2 works now with phpBB2 from 2.0.6 - 2.0.17


2005-10-05 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b12

 * "Fix": Adjust layout of captionator.

 * Fix: Errormessage when nothing was entered in login.php never occured due to register globals.

 * Change: use of function to draw userlist in manage_users.php

 * Fix: Background of higlihted tab in config was broken.


2005-10-04 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b11

 * Change: Made "post" the default method for forms.

 * Change: A lot indentings and use of default forms.


2005-10-04 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b10

 * Fix: Urls in at least phpNuke 7.8 where generated wrong.

 * Fix: When "returnTo-Link" is off, you should still can go back to thumbnail view.


2005-10-03 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b9

 * Change: NOW use favicon.ico from gmc. :)


2005-09-29 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b8

 * Change: Rewrite of permission dialog code. MUCH simpler now.

 * Change: Removed a lot set*** permission methods as they were redundant.

 * Change: lots of indenting in classes/Album*.php

 * Fix: forgot one user_name_string() in classes/Album.php


2005-09-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b7

 * "Fix": breadcrumb in view_album was also showed if there is no content.

 * Fix: Bug #1299959. Title text in alt and title tag of image was not escaped.

 * Fix: Some HTML 4.01.


2005-09-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b6

 * Fix: Typo in function emailComments() caused link to album to be wrong.


2005-09-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b5

  * Fix: Bug #1235007
         html_wrap/stats.header.default does not contain a block to optionally
         include a stats.header.tpl file, unlike every other *.header.default file.


2005-09-25 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b4

 * Change: Removed function user_name_string from util.php.
           This is now all in method printableName() of classes/User.php

 * Fix: Bug #1199064. Tweaked method printableName(),
        so that not the username is returned if no fullname is given.

 * Change: Some indenting.


2005-09-24 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b3

 * Fix: Voting instruction texts in some skins. Bug#1249919 .


2005-09-24 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b2

 * New: Its now possible to set "browser" as default language. Covers patch #1176481.

 * New: New function getDefaultLanguage.

 * Change: use of new function. Some code cleanup.


2005-09-23 Jens Tkotz <jens@peino.de> 1.5.2-cvs-b1

 * New: If selfregister is on, then inside the login popup is a link to register.
        This covers Patch #1042354.


2005-09-22 Chris Kelly <ckdake@users.sf.net> 1.5.1

	* Release:  1.5.1

2005-09-22 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b13

	* FixFix: b11 broke more then it fixed :-( FIXed it :-)

2005-09-21 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b12

	* Fix: Urls for Gallery embedded into CPGNuke didnt work.
	       So we do the same for cpgnuke as for the other *nukes done in 1.5.1-RC3-cvs-b3.

2005-09-17 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b11

	* "Fix": Cach invalid input for $page and set_albumListPage in view_album.php and stats.php
	Found by Andrew Khlebutin

2005-09-17 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b10

	* Fix: fs_opendir leaks resources.
	  Found and fixed by David Faulkner

2005-09-17 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b9

        * Fix: Make changeToAlbum emails HTML-mails, so links work correctly.
	  Thanks to Ansolon.

2005-09-15 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b8

	* Fix: Typo.

2005-09-15 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b7

	* Fix: Turn of verbose display of exifdata with jhead.
	       This caused problems as verbosed data has different structure.

	* Fix: First line of exifdata was always removed,
	       regardless wether jhead or exiftags is used.

2005-09-13 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b6

	* Change: Added paramater to gallery_mail() to send mail as HTML-mail.

	* Fix: Make comment emails HTML-mails, so links work correctly.

2005-09-12 Dariush Molavi <dari@nukedgallery.net> 1.5.1-RC4-cvs-b5

	* Change: New address for Free Software Foundation in GPL header.

2005-09-12 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b4

	* New: Added function urlIsrelative().

	* Fix: Relative URL in $gallery->app->photoAlbumURL did not longer work,
	       due to new full url schema added in
               1.5.1-RC2-cvs-b14 + 1.5.1-RC3-cvs-b3.

	* Fix: $name is not set when Gallery is startpage in *Nuke.
	       So we try to extract it from $modpath.

	* Fix: Url in stats-wizard was not generated on first load when embedded.

2005-09-12 Rasmus Lerdorf 1.5.1-RC4-cvs-b3

	* Fix: Some functions taking arguments by reference for no real reason
	       in gallery_remote2.php.
	       It breaks under the latest versions of PHP because
	       the reference checking has improved.

2005-09-08 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b2

	* "Fix": As we use now (1.5.1-RC3-cvs-b12) verbose output for exifdata,
	   we now show only fields WITH data.

2005-09-08 Jens Tkotz <jens@peino.de> 1.5.1-RC4-cvs-b1

	* Fix: Issues with setup/functions.inc which not longer exists.

2005-08-29  Chris Kelly <ckdake@users.sf.net> 1.5.1-RC3

	* Release: 1.5.1-RC3

2005-08-29 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b15

	* Fix: Poll Properties were not set recursively.

2005-08-29 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b14

	* Merged b12 and b13, language syncronisation for RC3.

2005-08-24 Jay Rossiter <cryptographite@users.sf.net> 1.5.1-RC3-cvs-b13

	* Fix: Prevent file exposure bug in stats module (thanks to ilia)

2005-08-23 Jay Rossiter <cryptographite@users.sf.net> 1.5.1-RC3-cvs-b12

	* Fix: Prevent HTML tags inside EXIF info from being displayed without
	  escaping.

2005-08-19 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b11

	* Fix: Make it possible to have Gallery as startpage in Postnuke or phpNuke.

	* Change: Url to w3c html validator.

2005-08-17 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b10

	* Fix: When using do_command.php e.g.for creating new album and Gallery is embedded,
	       "Attempted security breach." occured due to new full url schema added in
	       1.5.1-RC2-cvs-b14 + 1.5.1-RC3-cvs-b3

	* Fix: After creating a new album, with debug and email on,
	       an Error occured and dismiss button didnt work.

2005-08-16 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b9

	* Fix: Moved and adapted setup/functions.inc to lib/setup.php.
	       Some functions in this file are also used outside setup,
	       so when user protect the setup folder some functions where unavailable.

	* New: Added functions fs_is_writable

	* Fix: .htacces is optional, use function above to check to prevent error message.

2005-08-16 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b8

	* Fix: Wording. 'strg' is german ;) 'ctrl' is more international.

	* Change: Some indenting.

	* "Fix": Change some <td nowrap> and put it into css class.
		 Affected are class "head" and "title".

2005-08-14  Alan Harder <alan.harder@sun.com>  1.5.1-RC3-cvs-b7

	* Allow access to hidden photos via direct url.
	  (rollback change from Gallery 1.3.1)

2005-08-14 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b6

	* Fix: Use makeGalleryAlbumHeaderUrl() in links in Emails.
	       - edit_appearance.php
	       - classes/Album.php
	       - lib/mail.php

	Thanks to Ansolom.

	* Change: Some indenting and phpdocs.

2005-08-13 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b5

	* Fix: Using referer for generating embedded urlprefix wasnt a good idea.
	        Instead now use Gallery Url + script_name.

	Thanks to Mark (SG7)

2005-08-12  Bharat Mediratta  <bharat@menalto.com> 1.5.1-RC3-cvs-b4

	* Fix: typo in albums.php 'posess' -> 'possess' (thanks driz)

2005-08-12 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b3

	* Fix: Added path to folder to the url when Gallery is embedded in *Nuke,
	       but not in the document root.

2005-08-11 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b2

	* Fix: Even if clickcount display is off for an album
	       an admin should see the click counts in stats.

	Thanks to Lucent.

2005-08-10 Jens Tkotz <jens@peino.de> 1.5.1-RC3-cvs-b1

	%!@# ZLORFIX ! i shouldnt touch RC code.

	* Fix: Minimum width change broke ecard with pictures >= 200px width.

2005-08-09  Chris Kelly <ckdake@users.sf.net> 1.5.1-RC2

	* Release: 1.5.1-RC2

2005-08-09 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b15

	* Fix: Ecard stamp preview failed in IE, due to space in title of popup.
	  Thanks to Dariush Molavi.

	* Change: Added minimum width of ecard.

	* Change: used tidy on ecard template.

	* Change: increased needed Debuglevel when got successfully dimensions of an image.

2005-08-07 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b14

	* Fix: Added urlprefix via referer to embedded urls, so we get complete urls in mails.

	* Fix: Possible security hole in postnuke by overriding global $name
	  Thanks to msandersen

	* Change: Format in nls.php

	* Change: Make urls in comments mail a link.

	* Fix: updated list of translateable core files.

	* Fix: Added isset() around test for optional bins in setup to avoid warnings.

	* Change: Some language related things.

2005-08-07 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b13

	* Fix: Deleting comments via overview when embedded.

2005-08-07 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b12

	* Change: Postnuke related adaptions for new Versions.
		  - urls
		  - user / userdb
		  - language
		  - stylesheets in wrapper.header
	  Thanks to msandersen

	* Change: Little more info in footer in Debugmode.

	* Fix: Ecard preview when embedded.

	* Fix: Stamp preview when embedded.

2005-08-06 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b11

	* Fix: Check for NetPBM and ImageMagick was not fully correct.

	* Fix: Separator for PATH var under windows is ; not :

	* Fix: Added message for partially found ImageMagick.

2005-08-04 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b10

	* Fix: Padding for current flag should belong to the td not img.

	* Change: Added columncount 20 to flags table. removed old unused code.

2005-08-03 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b9

	* Fix: Fix in b7 was not good :-|

2005-08-03 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b8

	* Change: Just added a new frame. Thanks to 'demonhood'

2005-08-03 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b7

	* Fix: A link to mainpage was shown in slideshow breadcrumb,
	       regardless wether return to was off.

2005-07-30 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b6

	* Change: Mailing
	  o Moved Mail related functions into new lib/mail.php
	  o Removed gallery_validate_email(), now only use check_email()
	    - login.php
	    - register.php
	    - lib/mail.php
	    - classes/Album.php
	    - setup/check_mail.php
	    - setup/functions.inc
	 o reordered Notification mail. First now the message, then the disclaimer.

	* Fix: Mailing
	  o Recipients ($to) for gallery_mail() where mixed in some cases.
	   Now always a proper array.
	  o Emailprefix should be a prefix, not a suffix ;)
	  o emailLogMessage() was not compliant to gallery_mail(). Tweaked both.
	  o unhtmlentities() on some email subjects

	* Change: Lots of intenting.

	* Change: Added "done" Button in manage_users.php

2005-07-29 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b5

	* Fix: Added missing { in classes/Mail/smtp.php.
	       Bug sneaked in in php 4.4.0 fixes in 1.5.1-cvs-b61.

2005-07-29 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b4

	* Fix: In Photoview, stay in the viewmode (full or normal) that the current photo is.

2005-07-26 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b3

	* Fix: Fix in RC2-b1 "fixed" too much.

2005-07-26 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b2

	* Fix: CSS Stylesheets were displayed to early when embedded.
	       This caused warnings etc. when Environment sends headers.

	* Change: Added ... in Navigator to jump to the next Block.

2005-07-24 Jens Tkotz <jens@peino.de> 1.5.1-RC2-cvs-b1

	* Fix: Embedded Urls where generated wrong.

2005-07-23  Chris Kelly <ckdake@users.sf.net> 1.5.1-RC1

	* Release: 1.5.1-RC1

2005-07-23 Jens Tkotz <jens@peino.de> 1.5.1-cvs-b65

	* Fix: CSS is now loaded correct when embedded.
	       Now base and embedded.css are loaded when embedded.

	* Fix: Typo in ecard_form.php

	* Fix: Colorpicker in albumproperties didnt work when embedded and configured.

2005-07-22 Jens Tkotz <jens@peino.de> 1.5.1-cvs-b64

	* Change: translations in ecard_form

	* Change: topNavBar in view_photo is now a <div>, not a <table>

	* Change: simplification of checks for mircothumbs in view_photo

	* Fix: Borders around bottom Navigation when Mircothumbs off.
	Found by (Flori)Dave

2005-07-20 Jens Tkotz <jens@peino.de> 1.5.1-cvs-b63

	* FIX: When an admin changed something in his/her userdata, he/she lost the admin status.
	Thanks to Iain Lea

	* Fix: Translated JS messages in ecard_form.php

	* Fix: Added ecard files to translation list.

2005-07-20 Jens Tkotz <jens@peino.de> 1.5.1-cvs-b62

	* Fix: classes/Album.php
	  - missing $ before a var
	  - $wmAlphaName is not used when watermarking is wanted to during upload.

	* Fix: removed/changed debug Code in lib/url.php

	* Fix: size attribut in drawSelect2 was not correct handled.

2005-07-19 Jens Tkotz <jens@peino.de> 1.5.1-cvs-b61

	* Fix: util.php
	  - Previous change to _getStyleSheetLink failed when setup called from embedded at first time.
	    Now uses getGalleryBaseUrl()
	  - generating thumbnails of animated gifs with IM were broken due to wrong order of options.
	 Found and fixed by Donald Webster.
	  - where_i_am() now correctly returns "core" when GALLERY_OK is false,
	    but where are at startpage with an error.

	* Fix: PHP 4.4.0 fixes in:
	  - classes/Album.php
	  - classes/Mail/htmlMimeMail.php
	  - classes/Mail/smtp.php
 	Thanks to Andy Staudacher and Donald Webster

	* Fix: $style was undefined in lib/lang.php
	Again Donald ;)

	* Change: Watermarking
	  - edit_watermark.php
	  - watermark_album.php
	  - layout/watermarkform.inc
	    o indenting
	    o added some phpdocs
	    o added for gifs that watermarking on animated gifs is not supported.
	    o HTML 4.01 validation
	    o correct validation link

	* Change: util.php
	  - indenting on some functions
	  - added some phpdocs
	  - more use of debugMessage()
	  - moved getGalleryBase() to lib/url.php and renamed to getGalleryBaseUrl()
	  - moved getGalleryPaths() to lib/url.php and renamed getGalleryPaths() to setGalleryPaths()
	  - gallery_validation_link() now uses always referer instead
	    of given filename when not configured.
	 - added Parameter $keepIndexes to function array_sort_by_fields:
	   if set to true, then uasort instead of usort is used.

	* Change: removed / from GALLERY_URL constant in index.php

2005-07-15 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b60

	* Fix: colorpicker was not working in very first setup
	   - Tweaked makeGalleryURL to return valid URL in config on first setup
	   - Tweaked makeGalleryURL to work without target
	   - Tweaked getImagePath() to work with makeGalleryUrl. Also moved to lib/url.php

	* Change: Updated Manifest.

	* Fix: Removed <> around From when sending via smtp.

2005-07-12  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b59

	* Fix: Prevent non-integer data from being passed into get*Tag functions

2005-07-12  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b58

	* Change: Create a new session after destroying the old on logout,
	  and set $gallery->session->gRedirDone to true to prevent the 'you must be logged in'
	  notice when logging out of a protected album.

	* Change: Move some of the session creation logic into createGallerySession()

2005-07-11 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b57

	* "Fix": Added function addSearchForm() that return the Form for entering the searchstring.
		 Benifit is unified layout and reuseability.
		 While doing this created functions langLeft() and langRight()
		 which returns "left" or "right" according to direction.

2005-07-07 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b56

	* Fix: Subjectprefix for emails got lost in b47

	* Change: search.php
		  - Name of album / photo is now searched also
		  - lots of indenting
		  - layout unified like tools/
		  - removed html_wrap/ header and footer and use comman gallery h/f

2005-07-07 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b55

	* Fix: if useIcons set to no, options in viewphoto dropdown had brackets []
	  Thanks to Iain Lea again :)

2005-07-07 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b54

	* Fix: Missing closing bracket in a gettext call
	       when creating subject for a mail in classes/Album.php
	  Thanks to Iain Lea.

2005-07-06 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b53

	* Fix: IP of Commenter was showed to everybody in comments overview.
	       Now only admins or album owner can see it.

2005-07-06 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b52

	* Fix: Some Titles in stats where switched.

	* Change: enhanced detection for nextId

	* Change: Lots of indenting

2005-07-05 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b51

	* Fix: When deleting on photolevel, jump to next (or previous if at the end) photo.
	  Thanks to Iain Lea.

	* Fix: Sorting in stats was switched.
	  Also thanks to Iain Lea.

2005-07-05 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b50

	* CHANGE: save_photos.php
		  - Do the copy to local temp dir only for accepted formats (images, movies, archives)
		  - Use fs_file_get_contents to get the content of the URL
		  - Changed Regexp to catch files from an URL. (Thanks Valiant and Signe)
		    o changed acceptableFormatRegexp() in util.php to fit with new regexp

	* Change: phpdoc changes.

2005-07-04 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b49

	* Fix: Language was not correct set in popups when embedded into mambo
	  Thanks to Kai Tomalik.

2005-07-04 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b48

	* Change: Added 4th to array_sort_by_fields: caseSensitive

	* Change: Display watermakr files alphabetical case insensitve sorted.

2005-07-04 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b47

	* Change: 3rd Param of array_sort_by_fields is now 'asc' or 'desc' instead of 1/-1.

	* Change: itemOptions in view_photo.php are now a dropdown when no icons are wanted.
		  Settings at file beginning can force dropdown with icons on.

	* Fix: Found untranslated text (!) in classes/Album.php
	  Thanks to Gekow.

	* New: Use phpDocumentor compatible documenting. Will be completed step by step.

	* Change: When embeddd into Mambo $mosConfig_lang is now checked.

	* Change: updated Manifest

	* Fix: reworked bulk user creation.
	       - register globals
	       - email problems

	* New: Added two more possible formats for bulk user creation.

	* CHANGE: moved gallery_mail into a wrapper for MAIL class. Removed gallery_smtp

	* Fix: use of gallery_error instead of errorRow classes/gallery/UserDB.php
	       when creating new user.

2005-06-30 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b46

	* Fix: Fieldtype for Comment Overview in Setup.

	* Change: moved /errors/ to includes/errors/

	* Change: Added multiple headings in properties to reduce tabs.

2005-06-28 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b45

	* Change: Better Text in edit_appearance.php

	* Change: Tweaked placeholder replace.

	* Fix: Removed check for number of custom fields, as it has no default.

	* Fix: Added lib/messages.php to list of translateable files.

	* Fix: function for displaying errorRow was broken.

2005-06-28 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b44

	* Fix: removed some more <> inside a Mail header (see b39)

	* Fix: Wrong description in css/screen.css

2005-06-27 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b43

	* Fix: Browserlanguange 'en' was not correct mapped to en_US.

	* Fix: Custom Fields were broken in edit_appearance in b39

	* Fix: Code for gifified. from b41.

2005-06-27 Pierre-Luc Paour <paour@users.sourceforge.net>  1.5.1-cvs-b42

        * Fix: fixed the warning in breadcrumb.php when album disallows
	  upwards navigation.

2005-06-26 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b41

	* New: Added icons for item actions. gifified by famous Volksport.

2005-06-26 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b40

	* Fix: Added  lib/colorpicker.php and  rearrange.php to safeToInclude list in index.php
	  Thanks to Kai Tomalik

	* Change: Added modified Patch #1085388.
		  Now we use a multi-select for selecting which items found in url.upload should be uploaded.
	  Thanks to Jonathan Dowland

	* Fix: rearrange.php opened wrong when embeded.
	  Thanks to Kai Tomalik

	* Fix: Again moved Javascript in view_photo.php as it were broken when embedded.

	* Change: Tweaked Javascript for (de)selecting all/inverting to work with multi-select.

	* Fix: removed Testcode in setup/config_data.inc that broke config wizard.

2005-06-25 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b39

	* Security FIX !!!: Added check for invalid input for values for sizes in edit_appearance.
	  	   The values are used in exec() command.

	* Change: outsourced albumProperties from edit_appearance into includes/definitions/albumProperties

	* Fix: removed <> around some header fields when sending mails.
	       This caused Emailadresses to become <Someone <someone@example.com>>
	       Thanks to JohnH from the forums.

	* Fix: Javascript before doctype in view_photo.php
	       Thanks to Gaille.

	* Change: Some CSS for tabs

	* Change: lib/albumItem.php:
		  - removed unused ifs
		  - Text changes. Removed %s (label) at a couple commands.
		  - Added icon for watermarks.

	* Change: Tweaked infoLine() function. Now also acceptes array of messages.

	* New: Added function sanitycheck in lib/valchecks.php

	* Fix: Added more missing files to translation list for core.

	* Changes: Change from "off" to 0 for no image size limitations

	* Fix: Display of voting values.


2005-06-23 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b38

	* Fix: Bug #1217095, removed double stripslashes that breakes e.g. chinese.

	* Fix: Added missing files to translation list for core.

2005-06-23  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b37

	* Change: getRequestVar to stripslashes recursively into arrays

2005-06-21 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b36

	* Change: Possibility to set columnCount to -1 for ALL elements in one row.
		  (Fixes unnice lang selector with flags)

	* Fix: Comments display was borked when not logged with admin/owner permission.

	* Fix: added <br clear="all"> under language selector for proper table rendering in FF

2005-06-21 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b35

	* New: Added slightly modified Patch #875893 from Alan Harder.
	       This adds a popup in which you can nicely reorder your item via clicking.

2005-06-21 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b34

	* Change: enhanced fitToWindow for panorama photos.
		  Found by 'bolet' from the forums.

2005-06-20 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b33

	* Fix: Override in getIconText

	* Change: css class in layout/navmicro.inc

	* Change: css for iconLinks in view_photo.php and removed sorting for actions.

	* Change: replaced "delete comment" under each comment with a little icon to save space.
		  And css change.

2005-06-19 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b32

	* Change: moved some messages functions into lib/messages.php
		  created new message functions for:
		  - infolines
		  - debugmessages

	* Change: Added infoline and tweaked Emailtext in create_user.php

	* Change: Added infoline in modify_user.php

	* Change: Modified config var "debug" yes/no to "debuglevel" 0 means no debug.
		  Tweaked isDebugging to recognize the level.
		  Now you can give a Parameter to ask if debug in in given level.

	* Change: stats-wizard.php, var 'sgr' renamed to 'showGrid'

	* CHANGE: stats-php
		  - lots of indenting
		  - The complete statstable is now generated via class galleryTable !!
		    o Thumbs are now just as they are, not anymore like in the albums.
		    o show Commentes code tweaked to work with galleryTable
		  - readded Grid mode, old code removed as the rendering is now done by galleryTable
		  - replace debug code with much smarter debugMessage()
		  - remove all 7 usort functions, replaced by one new
		    array_sort_by_fields() function in util.php

		  - renamed var 'rev' to 'reverse'

	* Change: util.php
		  - lots of indenting
		  - tweaked getIconText(),
		    o new parameter to override the iconMode
		    o new parameter to use the [] around the Text when no icon is used.
		  - Tweaked makeIconMenu(), added parameter to force a linebreak after the half of elements

	* Change: Added lib/AlbumItem.php
		  - New function getItemActions(),
		    returns an array with all possible albumItem actions
		  - New function showComments, return HTML with all comments for an item.

	* Change: view_album.php
		  - Use of getItemActions() under each thumb.
		  - Show Navigator only if there is something to navigate.

        * Change: view_photo.php
                  - Use of getItemActions() under each thumb.
                  - Show alle item actions as links (with or with out icons)

	* Change: Tweaked class galleryTable
		  - setAttr
		  - setColumnCount
		  - setHeaders
		  - setCaption
		  - adapted render()

	* Change: Added infoline for debug info in html_wrap/wrapper.footer.default

2005-06-13 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b31

	* Fix: When copying a photo to an album where "add to beginning" is enabled,
	       the additional Data was still added to last item.
	  Thanks to Johnstar.

2005-06-09 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b30

	* Fix: Navigator change was in albums.php was wrong.

2005-06-09 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b29

	* Change: Only show Navigator if there is something to navigate in:
		- albums.php

	* Change: Add Errormessage for more info to user in copy_photo.php

	* Change: Tweaked confusing mailmessage in multi_create_user.php

	* Fix: Show "Apply to nested albums" only if we are resizing all elements of in album in resize_photo.php

	* Fix: Highlights of albums where the higlight comes from a subalbum
	       with non ascii chars where broken because the URL was not urlencoded.

	* Fix: Typo in layout/navmicro.inc (found by Gaile)

2005-05-27  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b28

	* Fix: edit_captions was not displaying error messages due to variable
	  misnaming.

2005-05-24 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b27

	* Fix: use_exif was not broken in album properties.
	  Found by Johan Nenni

	* Change: removed class tab-text, the font color is now controlled by the tab itself.

2005-05-23 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b26

	* Fix: register globals in setup/check_versions.php

2005-05-23 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b25

	* NEW: Added Donald Websters Microthumb Code. => album version and config bump.

	* Change: removed ml_pulldown.inc,
		  instead created function languageSelector() in lang.php

	* Change: Unified layout for all admin pages.

	* Change: Enhanced classes/HTML/table.php

2005-05-20 Pierre-Luc Paour <paour@users.sourceforge.net>  1.5.1-cvs-b24

	* Change: Applets version 1.4.2-b20.

2005-05-10 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b23

	* Change: Change input for count of files/meta files a input box instead of comboxbox

	* New: added file:lib/valchecks.php with function isValidInteger. Its included via util.php.

2005-05-09  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b22

	* Change:  Config wiz typo

2005-05-09 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b21

	* Change: Merged Poll options and Custom fields into properties

	* New: Made folder include/definitions, which is supposed to contain static definition.
	       Currently added: (print) Services

	* Change: Minor GUI changes.

	* New: Added a classes/HTML folder, which is supposed to contain classes and method for html handling.
	       Currently added is only a very rudimental table class :)

2005-05-08 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b20

	* Fix: Custom fields were not set recursively (register globals issue)

	* Fix: remove Debug Code.

2005-05-06 Jens Tkotz <jens@peino.de>  1.5.1-cvs-b19

	* Fix: RFE #1192462  (catch invalid manuell input of $set_AlbumListPage and $page via URL)

	* Change: minor tweak of getAlbum

2005-05-02 Stupid Tkotz <jens@peino.de>  1.5.1-cvs-b18

	* Fix: More typos. Sorry, next time i pay more attention.

2005-05-02 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b17

	* Fix: typo in classes/Album.php introduced in b16

2005-05-02 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b16

	* Change: Added 'nobody' as default permission set.
 	Thanks to Andrew A. Chen for this idea.

2005-04-28 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b15

	Fix: More spelling and validation fixes by Gaile in base.css

	Fix: Initialtab was not correct set in edit_apperance

	Fix: When editing properties via startpage the properties page broke after 2 apply.

2005-04-27 Pierre-Luc Paour <paour@users.sourceforge.net>  1.5.1-cvs-b14

	* Fix: htmlMimeMail.php was checked in with the wrong line endings
	  which was causing the CVS build to fail on Windows.

2005-04-25 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b13

	* Fix: typos

	* Fix: Missing quoting in colorpicker.php

2005-04-25 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b12

	* Fix: css and html fixes. (found by Gaile)

2005-04-22 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b11

	* New: Added nice colorpicker for easy color setting.
	  Note: Coded and pictures were taken from the Horde Project (http://www.horde.org)

	* Fix: Use of depricated var in html/userData.inc

	* Change: Added hidden fields for sectionTabs that contains the current tab.
		  This enables us to highlight it, when reloading the page.

	* Change: Little Layout change in layout/commentdraw.inc

	* Change: former solution for Jmullan, broke HTML validality.
		  New solution: tweaked getPhotoTag() to accept attrs.

2005-04-21 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b10

	* Fix: eCard setting from setup was not used for new albums (thanks Judith)

	* Change: Added tabindex order in eCard Form and focus on first field.

	* Change: Admins can now created directly as new user.

	* New: New flag for user to allow or disallow them to change their password.
	  Note: User version bump. "Old" user automatically get this to true.

	* Change: Stay in modify user view after having modified a user.

	* New: added id="galleryImage" to img tags in view_photo (for jmullan)

	* Fix: View Comments for not loggedIn User where displayed even if setting in setup was off,
	       but everybody is allowed to see comments.

	* "Fix": removed select:focus css (except in Jenskin) as FF on Linux is buggy on this.

2005-04-20 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b9

	* Fix: Create user were b0rked since b2.

2005-04-20 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b8

	* Fix: Wrong use of check for itemOwner caused error
	       when user wants to see all comments in some circumstances.

2005-04-19 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b7

	* Fix: Wrong require in setup let Gallery config break on debian (thanks to tomukas)

	* Fix: critical typo in classes/Album.php

2005-04-19 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b6

	* Change: Use Name and Email of logged in users as default for Sender in ecards.

	* Change: Added Subject line for ecards.

	* Fix: ecard enable/disable setting was not set for nested albums.

2005-04-18 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b5

	* Change: Added new parameter to makeIconMenu for alignment

	* Change: Use IconMenu in view_photo for adminText

	* Change: Make eCards an album option. (needs album version bump)

	* Fix: Added ecard_form.php to allowed include list.

	* Change: Little layout, text and css and html validation for ecard_form.php

	* Fix: ecards opened popup with environment when Gallery is embedded.

2005-04-18 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b4

	* Fix: removed little debug code.

2005-04-17 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b3

	* Fix: invalid css in standalone css and some skins. (Thanks to pixelpoet)

	* Change: Added cellpadding="0" cellspacing="0" to starting tables in html_wrap/*.header.default

2005-04-16 Jens A. Tkotz <jens@peino.de>  1.5.1-cvs-b2

	* Fix: HTML validation in view_photo.php, login.php

	* Change: Added parameter to drawSelect for pretty printing.

	* Change: Album properties are displayed in tabs.

	* CHANGE: data structure of print services.
		  reconfig forced and album version bumped.

	  Note: code not finished ! Previous Values from config for print services not used.

	* Change: eCard template changes

	* Change: Modified eCard feature...

	* Change: Show Albumnames in pulldown for reorder album.

	* New: Added eCard Feature. (not completed yet.)

	* New: Added more placeholders in Welcome Msg. Used Patch #847436 as inspiration.

	* Change: Inform user when display of exifdate is enabled, but nothing found.
	  (to avoid confusion)

	* Change: Added Patch #842580 from Kennichi Uehara 'email transfer encoding to base64'

2005-04-14  Jay Rossiter <cryptographite@users.sf.net>  1.5.1-cvs-b1

	* Fix: Address PHP5 behavior change to unsetting string values

2005-04-13  Chris Kelly <ckdake@users.sf.net>  1.5

	* 1.5 Release

FOR THE REST OF THE CHANGELOG, SEE ChangeLog.archive.gz
